;    list p=12f683,b=4,n=0   ; declare processor, tabs, and lines/page
    
;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
display_1bit ; 19 Circle LEDs (38 LEDs)
;**********************************************************************

    movwf        speed              ;w has the speed/delay

;
; I don't think this will work, wrong memory bank? DDF 03/13/2009
;
;	clrf		 A1_A2_reg        ; 1
;	clrf		 A1_C0_reg        ; 2
;	clrf		 A2_C0_reg        ; 3
;	clrf	 	 A2_C1_reg        ; 4
;	clrf		 C0_C1_reg        ; 5
;	clrf		 C0_C2_reg        ; 6
;	clrf		 C0_C4_reg        ; 7
;	clrf		 C1_C4_reg        ; 8
;	clrf		 A0_C1_reg        ; 9
;	clrf		 A0_C0_reg        ; 10
;	clrf		 A0_A2_reg        ; 11
;	clrf		 A0_A1_reg        ; 12
;	clrf		 A1_C2_reg        ; 13
;	clrf	 	 A1_C1_reg        ; 14
;	clrf		 A2_C2_reg        ; 15
;	clrf		 A2_C4_reg        ; 16
;	clrf		 A0_C4_reg        ; 17
;	clrf		 A0_C2_reg        ; 18
;	clrf		 A1_C4_reg        ; 19
;	clrf		 C1_C2_reg        ; no LED
;	clrf		 C2_C4_reg        ; no LED

#ifndef MONO

    movlw        LOW A0_A1_reg
    movwf        FSR0L
    movlw        HIGH A0_A1_reg
    movwf        FSR0H

    clrf         INDF0
    btfsc        in2,1                    ; 12R
    comf         INDF0,f


    movlw        LOW A0_A2_reg
    movwf        FSR0L
    movlw        HIGH A0_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,3                    ; 11R
    comf         INDF0,f

    movlw        LOW A0_C0_reg
    movwf        FSR0L
    movlw        HIGH A0_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,5                    ; 10R
    comf         INDF0,f

    movlw        LOW A0_C1_reg
    movwf        FSR0L
    movlw        HIGH A0_C1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,7                    ; 9R
    comf         INDF0,f

    movlw        LOW A0_C2_reg
    movwf        FSR0L
    movlw        HIGH A0_C2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,5                    ; 18R
    comf         INDF0,f

    movlw        LOW A0_C4_reg
    movwf        FSR0L
    movlw        HIGH A0_C4_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,7                    ; 17R
    comf         INDF0,f
#endif

    movlw        LOW A1_A0_reg
    movwf        FSR0L
    movlw        HIGH A1_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,0                    ; 12G
    comf         INDF0,f

#ifndef MONO
    movlw        LOW A1_A2_reg
    movwf        FSR0L
    movlw        HIGH A1_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,7                    ; 1R
    comf         INDF0,f

    movlw        LOW A1_C0_reg
    movwf        FSR0L
    movlw        HIGH A1_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,5                    ; 2R
    comf         INDF0,f
 
    movlw        LOW A1_C1_reg
    movwf        FSR0L
    movlw        HIGH A1_C1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,5
    comf         INDF0,f             ; 14R

    movlw        LOW A1_C2_reg
    movwf        FSR0L
    movlw        HIGH A1_C2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,7                    ; 13R
    comf         INDF0,f

    movlw        LOW A1_C4_reg
    movwf        FSR0L
    movlw        HIGH A1_C4_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,3                    ; 19R
    comf         INDF0,f
#endif

    movlw        LOW A2_A0_reg
    movwf        FSR0L
    movlw        HIGH A2_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,2                    ; 11G
    comf         INDF0,f

    movlw        LOW A2_A1_reg
    movwf        FSR0L
    movlw        HIGH A2_A1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,6                    ; 1G
    comf         INDF0,f

#ifndef MONO
    movlw        LOW A2_C0_reg
    movwf        FSR0L
    movlw        HIGH A2_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,3                    ; 3R
    comf         INDF0,f

    movlw        LOW A2_C1_reg
    movwf        FSR0L
    movlw        HIGH A2_C1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,1                    ; 4R
    comf         INDF0,f

    movlw        LOW A2_C2_reg
    movwf        FSR0L
    movlw        HIGH A2_C2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,3                    ; 15R
    comf         INDF0,f

    movlw        LOW A2_C4_reg
    movwf        FSR0L
    movlw        HIGH A2_C4_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,1                    ; 16R
    comf         INDF0,f
#endif

    movlw        LOW C0_A0_reg
    movwf        FSR0L
    movlw        HIGH C0_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,4                    ; 10G
    comf         INDF0,f
 
    movlw        LOW C0_A1_reg
    movwf        FSR0L
    movlw        HIGH C0_A1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,4                    ; 2G
    comf         INDF0,f

    movlw        LOW C0_A2_reg
    movwf        FSR0L
    movlw        HIGH C0_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,2                    ; 3G
    comf         INDF0,f
 
#ifndef MONO
    movlw        LOW C0_C1_reg
    movwf        FSR0L
    movlw        HIGH C0_C1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,7                    ; 5R
    comf         INDF0,f

    movlw        LOW C0_C2_reg
    movwf        FSR0L
    movlw        HIGH C0_C2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,5                    ; 6R
    comf         INDF0,f
 
    movlw        LOW C0_C4_reg
    movwf        FSR0L
    movlw        HIGH C0_C4_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,3                    ; 7R
    comf         INDF0,f
#endif

    movlw        LOW C1_A0_reg
    movwf        FSR0L
    movlw        HIGH C1_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in2,6                    ; 9G
    comf         INDF0,f
 
    movlw        LOW C1_A1_reg
    movwf        FSR0L
    movlw        HIGH C1_A1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,4                    ; 14G
    comf         INDF0,f

    movlw        LOW C1_A2_reg
    movwf        FSR0L
    movlw        HIGH C1_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in0,0                    ; 4G
    comf         INDF0,f
 
    movlw        LOW C1_C0_reg
    movwf        FSR0L
    movlw        HIGH C1_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,6                    ; 5G
    comf         INDF0,f

 
#ifndef MONO
    movlw        LOW C1_C4_reg
    movwf        FSR0L
    movlw        HIGH C1_C4_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,1                    ; 8R
    comf         INDF0,f
#endif

    movlw        LOW C2_A0_reg
    movwf        FSR0L
    movlw        HIGH C2_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,4
    comf         INDF0,f      ; 18G
 
    movlw        LOW C2_A1_reg
    movwf        FSR0L
    movlw        HIGH C2_A1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,6                    ; 13G
    comf         INDF0,f

    movlw        LOW C2_A2_reg
    movwf        FSR0L
    movlw        HIGH C2_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,2
    comf         INDF0,f      ; 15G
 
    movlw        LOW C2_C0_reg
    movwf        FSR0L
    movlw        HIGH C2_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,4                    ; 6G
    comf         INDF0,f

    movlw        LOW C4_A0_reg
    movwf        FSR0L
    movlw        HIGH C4_A0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,6                    ; 17G
    comf         INDF0,f
 
    movlw        LOW C4_A1_reg
    movwf        FSR0L
    movlw        HIGH C4_A1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in4,2                    ; 19G
    comf         INDF0,f

    movlw        LOW C4_A2_reg
    movwf        FSR0L
    movlw        HIGH C4_A2_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in3,0                    ; 16G
    comf         INDF0,f
 
    movlw        LOW C4_C0_reg
    movwf        FSR0L
    movlw        HIGH C4_C0_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,2                    ; 7G
    comf         INDF0,f

    movlw        LOW C4_C1_reg
    movwf        FSR0L
    movlw        HIGH C4_C1_reg
    movwf        FSR0H
    clrf         INDF0
    btfsc        in1,0
    comf         INDF0,f      ; 8G
 

    movf         speed,w
    call         strobe_delay

    return

