;**********************************************************************
display_1bit ; 20 LEDs 3x3
;**********************************************************************

    movwf        speed              ;w has the speed/delay

	clrf		 A4_A0_reg        ; 1G
    btfsc        in0,7
	comf		 A4_A0_reg,f

	clrf		 A5_A0_reg        ; 2G
    btfsc        in0,5
	comf		 A5_A0_reg,f

	clrf		 A5_A1_reg        ; 3G
    btfsc        in0,3
	comf		 A5_A1_reg,f

	clrf		 A2_A0_reg        ; 4G
    btfsc        in0,1
	comf		 A2_A0_reg,f

	clrf		 A4_A2_reg        ; 5G
    btfsc        in1,7
	comf		 A4_A2_reg,f

	clrf		 A5_A2_reg        ; 6G
    btfsc        in1,5
	comf		 A5_A2_reg,f

	clrf	 	 A1_A0_reg        ; 7G
    btfsc        in1,3
	comf	 	 A1_A0_reg,f

	clrf		 A4_A1_reg        ; 8G
    btfsc        in1,1
	comf		 A4_A1_reg,f

	clrf		 A5_A4_reg        ; 9G
    btfsc        in2,7
	comf		 A5_A4_reg,f

#ifdef MONO
	clrf		 A0_A4_reg        ; 1R
	clrf		 A0_A5_reg        ; 2R
	clrf	 	 A1_A5_reg        ; 3R
	clrf	 	 A0_A2_reg        ; 4R
	clrf	 	 A2_A4_reg        ; 5R
	clrf		 A2_A5_reg        ; 6R
	clrf		 A0_A1_reg        ; 7R
	clrf		 A1_A4_reg        ; 8R
	clrf		 A4_A5_reg        ; 9R

#else

	clrf		 A0_A4_reg        ; 1R
    btfsc        in0,6
	comf		 A0_A4_reg,f

	clrf		 A0_A5_reg        ; 2R
    btfsc        in0,4
	comf		 A0_A5_reg,f

	clrf	 	 A1_A5_reg        ; 3R
    btfsc        in0,2
	comf	 	 A1_A5_reg,f
 
	clrf	 	 A0_A2_reg        ; 4R
    btfsc        in0,0
    comf         A0_A2_reg,f

	clrf	 	 A2_A4_reg        ; 5R
    btfsc        in1,6
	comf	 	 A2_A4_reg,f

	clrf		 A2_A5_reg        ; 6R
    btfsc        in1,4
	comf		 A2_A5_reg,f

	clrf		 A0_A1_reg        ; 7R
    btfsc        in1,2
    comf         A0_A1_reg,f

	clrf		 A1_A4_reg        ; 8R
    btfsc        in1,0
	comf		 A1_A4_reg,f
 
	clrf		 A4_A5_reg        ; 9R
    btfsc        in2,6
	comf		 A4_A5_reg,f
#endif

	clrf		 A1_A2_reg        ; 16 IR
	clrf		 A2_A1_reg        ; 17 IR



    movf         speed,w
    call         strobe_delay

    return

