;**********************************************************************
display_2bit
;**********************************************************************
    movf    speed,w             ;enter here if repeat count is in speed
display_w_2bit                      ;enter here if repeat count is in W reg

; 76543210 <-- bits
; AABBCCDD <-- LEDs
; 01010101 <-- stays on for 1 unit  - b'01'
; 10101010 <-- stays on for 2 units - b'10'
; 11111111 <-- stays on for 3 units - b'11'

; in0 red
; in1 green
; in2 blue

	clrf		 Ar_reg
    movlw        BRIGHT1
    btfsc        in0,6
    addwf        Ar_reg,f
    movlw        BRIGHT2
    btfsc        in0,7
    addwf        Ar_reg,f
 
	clrf	 	 Ag_reg
    movlw        BRIGHT1
    btfsc        in1,6
    addwf        Ag_reg,f
    movlw        BRIGHT2
    btfsc        in1,7
    addwf        Ag_reg,f

	clrf		 Ab_reg
    movlw        BRIGHT1
    btfsc        in2,6
    addwf        Ab_reg,f
    movlw        BRIGHT2
    btfsc        in2,7
    addwf        Ab_reg,f

	clrf		 Br_reg
    movlw        BRIGHT1
    btfsc        in0,4
    addwf        Br_reg,f
    movlw        BRIGHT2
    btfsc        in0,5
    addwf        Br_reg,f
 
	clrf	 	 Bg_reg
    movlw        BRIGHT1
    btfsc        in1,4
    addwf        Bg_reg,f
    movlw        BRIGHT2
    btfsc        in1,5
    addwf        Bg_reg,f

	clrf		 Bb_reg
    movlw        BRIGHT1
    btfsc        in2,4
    addwf        Bb_reg,f
    movlw        BRIGHT2
    btfsc        in2,5
    addwf        Bb_reg,f 

	clrf		 Cr_reg
    movlw        BRIGHT1
    btfsc        in0,2
    addwf        Cr_reg,f
    movlw        BRIGHT2
    btfsc        in0,3
    addwf        Cr_reg,f
 
	clrf	 	 Cg_reg
    movlw        BRIGHT1
    btfsc        in1,2
    addwf        Cg_reg,f
    movlw        BRIGHT2
    btfsc        in1,3
    addwf        Cg_reg,f

	clrf		 Cb_reg
    movlw        BRIGHT1
    btfsc        in2,2
    addwf        Cb_reg,f
    movlw        BRIGHT2
    btfsc        in2,3
    addwf        Cb_reg,f 

	clrf		 Dr_reg
    movlw        BRIGHT1
    btfsc        in0,0
    addwf        Dr_reg,f
    movlw        BRIGHT2
    btfsc        in0,1
    addwf        Dr_reg,f
 
	clrf	 	 Dg_reg
    movlw        BRIGHT1
    btfsc        in1,0
    addwf        Dg_reg,f
    movlw        BRIGHT2
    btfsc        in1,1
    addwf        Dg_reg,f

	clrf		 Db_reg
    movlw        BRIGHT1
    btfsc        in2,0
    addwf        Db_reg,f
    movlw        BRIGHT2
    btfsc        in2,1
    addwf        Db_reg,f 

#ifdef BADGE
	clrf		 Center_reg
    movlw        BRIGHT1
    btfsc        in3,6
    addwf        Center_reg,f
    movlw        BRIGHT2
    btfsc        in3,7
    addwf        Center_reg,f 
#endif

    movf         speed,w
    call         strobe_delay
    movf         speed,w
    call         strobe_delay
    movf         speed,w
    call         strobe_delay

    return

