;    list p=12f683,b=4,n=0   ; declare processor, tabs, and lines/page
    
;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
display_2bit ; 19 Circle LEDs (38 LEDs)
;**********************************************************************

    movwf        speed              ;w has the speed/delay

;	clrf		 A1_A2_reg        ; 1
;	clrf		 A1_C0_reg        ; 2
;	clrf		 A2_C0_reg        ; 3
;	clrf	 	 A2_C1_reg        ; 4
;	clrf		 C0_C1_reg        ; 5
;	clrf		 C0_C2_reg        ; 6
;	clrf		 C0_C4_reg        ; 7
;	clrf		 C1_C4_reg        ; 8
;	clrf		 A0_C1_reg        ; 9
;	clrf		 A0_C0_reg        ; 10
;	clrf		 A0_A2_reg        ; 11
;	clrf		 A0_A1_reg        ; 12
;	clrf		 A1_C2_reg        ; 13
;	clrf	 	 A1_C1_reg        ; 14
;	clrf		 A2_C2_reg        ; 15
;	clrf		 A2_C4_reg        ; 16
;	clrf		 A0_C4_reg        ; 17
;	clrf		 A0_C2_reg        ; 18
;	clrf		 A1_C4_reg        ; 19
; 	clrf		 C1_C2_reg        ; no LED
;	clrf		 C2_C4_reg        ; no LED

    movlw        LOW A1_A2_reg
    movwf        FSR0L
    movlw        HIGH A1_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in0,7                    ; 1R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in0,6                    ; 1R (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_A1_reg
    movwf        FSR0L
    movlw        HIGH A2_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in0,5                    ; 1G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in0,4                    ; 1G (low bit)
	addwf		 INDF0,f

    movlw        LOW A1_C0_reg
    movwf        FSR0L
    movlw        HIGH A1_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in0,3                    ; 2R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in0,2                    ; 2R (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_A1_reg
    movwf        FSR0L
    movlw        HIGH C0_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in0,1                    ; 2G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in0,0                    ; 2G (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_C0_reg
    movwf        FSR0L
    movlw        HIGH A2_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in1,7                    ; 3R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in1,6                    ; 3R (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_A2_reg
    movwf        FSR0L
    movlw        HIGH C0_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in1,5                    ; 3G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in1,4                    ; 3G (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_C1_reg
    movwf        FSR0L
    movlw        HIGH A2_C1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in1,3                    ; 4R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in1,2                    ; 4R (low bit)
	addwf		 INDF0,f

    movlw        LOW C1_A2_reg
    movwf        FSR0L
    movlw        HIGH C1_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in1,1                    ; 4G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in1,0                    ; 4G (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_C1_reg
    movwf        FSR0L
    movlw        HIGH C0_C1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in2,7                    ; 5R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in2,6                    ; 5R (low bit)
	addwf		 INDF0,f

    movlw        LOW C1_C0_reg
    movwf        FSR0L
    movlw        HIGH C1_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in2,5                    ; 5G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in2,4                    ; 5G (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_C2_reg
    movwf        FSR0L
    movlw        HIGH C0_C2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in2,3                    ; 6R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in2,2                    ; 6R (low bit)
	addwf		 INDF0,f

    movlw        LOW C2_C0_reg
    movwf        FSR0L
    movlw        HIGH C2_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in2,1                    ; 6G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in2,0                    ; 6G (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_C4_reg
    movwf        FSR0L
    movlw        HIGH C0_C4_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in3,7                    ; 7R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in3,6                    ; 7R (low bit)
	addwf		 INDF0,f

    movlw        LOW C4_C0_reg
    movwf        FSR0L
    movlw        HIGH C4_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in3,5                    ; 7G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in3,4                    ; 7G (low bit)
	addwf		 INDF0,f

    movlw        LOW C1_C4_reg
    movwf        FSR0L
    movlw        HIGH C1_C4_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in3,3                    ; 8R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in3,2                    ; 8R (low bit)
	addwf		 INDF0,f

    movlw        LOW C4_C1_reg
    movwf        FSR0L
    movlw        HIGH C4_C1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in3,1                    ; 8G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in3,0                    ; 8G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_C1_reg
    movwf        FSR0L
    movlw        HIGH A0_C1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in4,7                    ; 9R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in4,6                    ; 9R (low bit)
	addwf		 INDF0,f

    movlw        LOW C1_A0_reg
    movwf        FSR0L
    movlw        HIGH C1_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in4,5                    ; 9G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in4,4                    ; 9G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_C0_reg
    movwf        FSR0L
    movlw        HIGH A0_C0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in4,3                    ; 10R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in4,2                    ; 10R (low bit)
	addwf		 INDF0,f

    movlw        LOW C0_A0_reg
    movwf        FSR0L
    movlw        HIGH C0_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in4,1                    ; 10G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in4,0                    ; 10G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_A2_reg
    movwf        FSR0L
    movlw        HIGH A0_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in5,7                    ; 11R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in5,6                    ; 11R (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_A0_reg
    movwf        FSR0L
    movlw        HIGH A2_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in5,5                    ; 11G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in5,4                    ; 11G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_A1_reg
    movwf        FSR0L
    movlw        HIGH A0_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in5,3                    ; 12R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in5,2                    ; 12R (low bit)
	addwf		 INDF0,f

    movlw        LOW A1_A0_reg
    movwf        FSR0L
    movlw        HIGH A1_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in5,1                    ; 12G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in5,0                    ; 12G (low bit)
	addwf		 INDF0,f

    movlw        LOW A1_C2_reg
    movwf        FSR0L
    movlw        HIGH A1_C2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in6,7                    ; 13R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in6,6                    ; 13R (low bit)
	addwf		 INDF0,f

    movlw        LOW C2_A1_reg
    movwf        FSR0L
    movlw        HIGH C2_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in6,5                    ; 13G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in6,4                    ; 13G (low bit)
	addwf		 INDF0,f

    movlw        LOW A1_C1_reg
    movwf        FSR0L
    movlw        HIGH A1_C1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in6,3                    ; 14R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in6,2                    ; 14R (low bit)
	addwf		 INDF0,f

    movlw        LOW C1_A1_reg
    movwf        FSR0L
    movlw        HIGH C1_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in6,1                    ; 14G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in6,0                    ; 14G (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_C2_reg
    movwf        FSR0L
    movlw        HIGH A2_C2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in7,7                    ; 15R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in7,6                    ; 15R (low bit)
	addwf		 INDF0,f

    movlw        LOW C2_A2_reg
    movwf        FSR0L
    movlw        HIGH C2_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in7,5                    ; 15G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in7,4                    ; 15G (low bit)
	addwf		 INDF0,f

    movlw        LOW A2_C4_reg
    movwf        FSR0L
    movlw        HIGH A2_C4_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in7,3                    ; 16R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in7,2                    ; 16R (low bit)
	addwf		 INDF0,f

    movlw        LOW C4_A2_reg
    movwf        FSR0L
    movlw        HIGH C4_A2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in7,1                    ; 16G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in7,0                    ; 16G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_C4_reg
    movwf        FSR0L
    movlw        HIGH A0_C4_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in8,7                    ; 17R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in8,6                    ; 17R (low bit)
	addwf		 INDF0,f

    movlw        LOW C4_A0_reg
    movwf        FSR0L
    movlw        HIGH C4_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in8,5                    ; 17G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in8,4                    ; 17G (low bit)
	addwf		 INDF0,f

    movlw        LOW A0_C2_reg
    movwf        FSR0L
    movlw        HIGH A0_C2_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in8,3                    ; 18R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in8,2                    ; 18R (low bit)
	addwf		 INDF0,f

    movlw        LOW C2_A0_reg
    movwf        FSR0L
    movlw        HIGH C2_A0_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in8,1                    ; 18G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in8,0                    ; 18G (low bit)
	addwf		 INDF0,f

    movlw        LOW A1_C4_reg
    movwf        FSR0L
    movlw        HIGH A1_C4_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in9,7                    ; 19R (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in9,6                    ; 19R (low bit)
	addwf		 INDF0,f

    movlw        LOW C4_A1_reg
    movwf        FSR0L
    movlw        HIGH C4_A1_reg
    movwf        FSR0H

    clrf         INDF0
    movlw        BRIGHT1H
    btfsc        in9,5                    ; 19G (high bit)
	addwf		 INDF0,f
    movlw        BRIGHT2H
    btfsc        in9,4                    ; 19G (low bit)
	addwf		 INDF0,f
 
    movf         speed,w
    call         strobe_delay

    return

