;**********************************************************************
Dice
;**********************************************************************
    var          temp

    call         roll_dice
dice_loop

    movlw        0x03              ; if button 3 & 4 presses
    subwf        button,w
    btfsc        STATUS,Z
    goto         mode_loop

    btfsc        button,0           ; if button 1 pressed 
    call         roll_dice

    movlw        0x01       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_1

    movlw        0x02       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_2

    movlw        0x03       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_3

    movlw        0x04       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_4

    movlw        0x05       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_5

    movlw        0x06       
    subwf        temp,w
    btfsc        STATUS,Z
    goto         diplay_6

;   get random number 0-7 re-roll if we get a 0 or 7.
    call         roll_dice
    goto         dice_loop


diplay_1
    clrf         in0
    movlw        b'11000000'
    movwf        in1
    clrf         in2
    goto         dice_display_digit

diplay_2
    movlw        b'00001100'
    movwf        in0
    movwf        in1
    clrf         in2
    goto         dice_display_digit

diplay_3
    movlw        b'00001100'
    movwf        in0
    movlw        b'11001100'
    movwf        in1
    clrf        in2
    goto         dice_display_digit

diplay_4
    movlw        b'11001100'
    movwf        in0
    movwf        in2
    movlw        b'00001100'
    movwf        in1
    goto         dice_display_digit

diplay_5
    movlw        b'11001100'
    movwf        in0
    movwf        in1
    movwf        in1
    goto         dice_display_digit

diplay_6
    movlw        b'11001111'
    movwf        in0
    movwf        in2
    movlw        b'00111100'
    movwf        in1

dice_display_digit
    movlw   0xff
    call    display_1bit

    goto    dice_loop


roll_dice
    incf         temp2,f
    call         gen_random
    movlw        b'01010101'
    movwf        in0
    movwf        in1
    movwf        in2

    movlw   0xff
    call    display_1bit

    movlw        b'10101010'
    movwf        in0
    movwf        in1
    movwf        in2

    movlw   0xff
    call    display_1bit

    btfsc        button,0           ; if button 1 pressed 
    goto         roll_dice

    movfw        random
    addwf        count1,w
    addwf        temp2,w
    movwf        temp
    rrf          temp,f
    movlw        0x07
    andwf        temp,f

    return
