;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
table_type_4
;**********************************************************************

    ;use          delay1
    ;use          fad
    ;use          color


    incf         delay1,f

    movf         delay1,w         ; testing for 0
    btfss        STATUS,Z
    goto         cf_loop2a

    movlw        TICK_VALUE     ; we are using timer0 for the counts, 0 through tick value is LED off.
    movwf        delay1 
   
;
;   select a pattern
;
    comf         fad,f
    movf         fad,w         ; testing for 0
    btfss        fad,0
    incf         color,f

cf_loop2a
    movf        delay1,w         ; fading up
    btfsc       fad,0
	comf        delay1,w         ; dafinf down

	movwf		Ar_reg
	movwf		Ag_reg
	movwf		Ab_reg
 	movwf		Br_reg
	movwf		Bg_reg
	movwf		Bb_reg
	movwf		Cr_reg
	movwf		Cg_reg
	movwf		Cb_reg
	movwf		Dr_reg
	movwf		Dg_reg
	movwf	 	Db_reg

    btfsc       color,0
	clrf		Ar_reg
    btfsc       color,1
	clrf		Ag_reg
    btfsc       color,2
 	clrf		Ab_reg
    btfsc       color,0
 	clrf		Br_reg
    btfsc       color,1
	clrf		Bg_reg
    btfsc       color,2
	clrf		Bb_reg
    btfsc       color,0
	clrf		Cr_reg
    btfsc       color,1
	clrf		Cg_reg
    btfsc       color,2
	clrf		Cb_reg
    btfsc       color,0
	clrf		Dr_reg
    btfsc       color,1
	clrf		Dg_reg
    btfsc       color,2
	clrf	 	Db_reg

    btfsc       color,3
    clrf        Ar_reg
    btfsc       color,3
    clrf        Ag_reg
    btfsc       color,3
    clrf        Ab_reg

    btfsc       color,4
    clrf        Br_reg
    btfsc       color,4
    clrf        Bg_reg
    btfsc       color,4
    clrf        Bb_reg  

    btfsc       color,5
    clrf        Cr_reg
    btfsc       color,5
    clrf        Cg_reg
    btfsc       color,5
    clrf        Cb_reg  

    btfsc       color,6
    clrf        Dr_reg
    btfsc       color,6
    clrf        Dg_reg
    btfsc       color,6
    clrf        Db_reg  

    movlw       0x20
    call        strobe_delay

    return

