;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************


;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x13 , 0x40
     dt b'10111111', b'00000001' ; left shift /w set hi 1 time
     dt b'10110000', b'00001001' ; left shift /w clear 9 times.

     dt b'11011111', b'00000001' ; left shift /w set hi 1 time
     dt b'11010000', b'00001001' ; left shift /w clear 9 times.

     dt b'11111111', b'00000001' ; left shift /w set hi 1 time
     dt b'11110000', b'00001001' ; left shift /w clear 9 times.

     dt b'00111111', b'00000001' ; left shift /w set hi 1 time
     dt b'00110000', b'00001001' ; left shift /w clear 9 times.

     dt b'01011111', b'00000001' ; left shift /w set hi 1 time
     dt b'01010000', b'00001001' ; left shift /w clear 9 times.

     dt b'01111111', b'00000001' ; left shift /w set hi 1 time
     dt b'01110000', b'00001001' ; left shift /w clear 9 times.
    end_pattern

#ifdef MONO
;**********************************************************************
; DF1 - clasic
;**********************************************************************
    start_pattern 6, 0x30
;          1 2 3 4      5 6 7 8     9
    dt  b'10000000', b'00000000', b'10000000'   ; L19
    dt  b'00100000', b'00000010', b'00000000'   ; L19
    dt  b'00001000', b'00001000', b'00000000'   ; L19
    dt  b'00000010', b'00100000', b'00000000'   ; L19
    end_pattern
#else
;**********************************************************************
; DF1 - clasic
;**********************************************************************
    start_pattern 6, 0x30
;          1 2 3 4      5 6 7 8     9
    dt  b'01000000', b'00000000', b'01000000'   ; L19
    dt  b'00010000', b'00000001', b'00000000'   ; L19
    dt  b'00000100', b'00000100', b'00000000'   ; L19
    dt  b'00000001', b'00010000', b'00000000'   ; L19
    end_pattern
#endif


;**********************************************************************
; DF1 - new fader
;**********************************************************************
    start_pattern 0x15, 0x10
;          1 2 3 4      5 6 7 8     9
    dt  b'01010101', b'01010101', b'01011111'   ; L19
#ifndef MONO
    dt  b'10101010', b'10101010', b'10011111'   ; L19
#endif
    dt  b'00000000', b'00000000', b'00011111'   ; L19
    dt  b'00000000', b'11000000', b'00001111'   ; L19
    dt  b'11111111', b'11111111', b'11011111'   ; L19
    end_pattern

;**********************************************************************
; DF1 - new fader
;**********************************************************************
    start_pattern 0x15, 0x03
;          1 2 3 4      5 6 7 8     9
    dt  b'01010101', b'01010101', b'01111111'   ; L19
    dt  b'00000000', b'00000000', b'00111111'   ; L19
#ifndef MONO
    dt  b'10101010', b'10101010', b'10111111'   ; L19
    dt  b'00000000', b'00000000', b'00111111'   ; L19
    dt  b'11111111', b'11111111', b'11111111'   ; L19
    dt  b'00000000', b'00000000', b'00111111'   ; L19
#endif
    end_pattern
;**********************************************************************
; DF1 - new fader
;**********************************************************************
    start_pattern 0x15, 0x03
    dt  b'00000100', b'00000000', b'00011111'   ; L19
    dt  b'00000100', b'00000000', b'00011111'   ; L19
    dt  b'00011100', b'00010000', b'00011111'   ; L19
    dt  b'01111000', b'01110000', b'01011111'   ; L19
    dt  b'11100001', b'11100001', b'11011111'   ; L19
    dt  b'10000011', b'10000111', b'10011111'   ; L19
    dt  b'00000010', b'00001110', b'00011111'   ; L19
    dt  b'00000000', b'00001000', b'00011111'   ; L19
    dt  b'00000000', b'00000000', b'00111111'   ; L19
    end_pattern

;**********************************************************************
; DF4 - on off
;**********************************************************************
    start_pattern 6, 0x30
    dt 0x55, 0x55, 0x40   ; 1
    dt 0xAA, 0xAA, 0xA0   ; 2
    end_pattern

;**********************************************************************
; DF6 - center
;**********************************************************************
    start_pattern 6, 0x30
;          1 2 3 4      5 6 7 8     9
    dt  b'10000000', b'00000000', b'01000000'   ; L19
    dt  b'01000000', b'00000000', b'10000000'   ; L19
    dt  b'00100000', b'00000001', b'00000000'   ; L19
    dt  b'00010000', b'00000010', b'00000000'   ; L19
    dt  b'00001000', b'00000100', b'00000000'   ; L19
    dt  b'00000100', b'00001000', b'00000000'   ; L19
    dt  b'00000010', b'00010000', b'00000000'   ; L19
    dt  b'00000001', b'00100000', b'00000000'   ; L19
    dt  b'00000000', b'11000000', b'00000000'   ; L19
    end_pattern

;**********************************************************************
; DF8 - chaser
;**********************************************************************
    start_pattern 6, 0x10
    dt 0x11, 0x11, 0x00   ; L18
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x88, 0x88, 0x80   ; L15
    end_pattern
;**********************************************************************
; DF8 - forward/backward chaser
;**********************************************************************
    start_pattern 6, 0x17
    dt 0x11, 0x11, 0x00   ; L18
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x88, 0x88, 0x80   ; L15
    dt 0x11, 0x11, 0x00   ; L18
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x88, 0x88, 0x80   ; L15
    dt 0x11, 0x11, 0x00   ; L18
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x88, 0x88, 0x80   ; L15
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x11, 0x11, 0x00   ;
    dt 0x88, 0x88, 0x80   ; L15
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x22, 0x22, 0x20   ; L17
    dt 0x11, 0x11, 0x00   ;
    dt 0x88, 0x88, 0x80   ; L15
    dt 0x44, 0x44, 0x40   ; L16
    dt 0x22, 0x22, 0x20   ; L17
    end_pattern
;**********************************************************************
; DF8 - shift
;**********************************************************************
    start_pattern 0x13 , 0x40
     dt b'11111100', b'00001001' ; left shift /w set hi 9 time
     dt b'11110011', b'00001001' ; left shift /w set hi 9 time
    end_pattern


;**********************************************************************
; eeprom
;**********************************************************************

	ORG	0x2100				; data EEPROM location

    de 0xff  ; Demo flag

;**********************************************************************
; DF8 - shift
;**********************************************************************
    start_pattern 0x13 , 0x80
#ifndef MONO
     dt b'10110101', b'00001001' ; left shift /w set hi 9 time
     dt b'00111010', b'00001001' ; left shift /w set hi 9 time
     dt b'10111111', b'00001001' ; left shift /w set hi 9 time
     dt b'00111010', b'00001001' ; left shift /w set hi 9 time
     dt b'10110101', b'00001001' ; left shift /w set hi 9 time
     dt b'00110000', b'00001001' ; left shift /w set hi 9 time
#else
     dt b'11010101', b'00001001' ; left shift /w set hi 9 time
     dt b'01011010', b'00001001' ; left shift /w set hi 9 time
     dt b'11011111', b'00001001' ; left shift /w set hi 9 time
     dt b'01011010', b'00001001' ; left shift /w set hi 9 time
     dt b'11010101', b'00001001' ; left shift /w set hi 9 time
     dt b'01010000', b'00001001' ; left shift /w set hi 9 time
#endif
     dt b'01110101', b'00001001' ; left shift /w set hi 9 time
     dt b'11111010', b'00001001' ; left shift /w set hi 9 time
     dt b'01111111', b'00001001' ; left shift /w set hi 9 time
     dt b'11111010', b'00001001' ; left shift /w set hi 9 time
     dt b'01110101', b'00001001' ; left shift /w set hi 9 time
     dt b'11110000', b'00001001' ; left shift /w set hi 9 time
    end_pattern

;**********************************************************************
; DF8 - round
;**********************************************************************
    start_pattern 6, 0x05
    dT 0x00, 0x00, 0x20   ; L19
    dT 0x00, 0x00, 0x80   ; L17
    dT 0x00, 0x02, 0x00   ; L15
    dT 0x00, 0x08, 0x00   ; L13
    dT 0x00, 0x20, 0x00   ; L11
    dT 0x00, 0x80, 0x00   ; L9
    dT 0x02, 0x00, 0x00   ; L7
    dT 0x08, 0x00, 0x00   ; L5
    dT 0x20, 0x00, 0x00   ; L3
    dT 0x80, 0x00, 0x00   ; L1
    dT 0x40, 0x00, 0x00   ; L2
    dT 0x10, 0x00, 0x00   ; L4
    dT 0x04, 0x00, 0x00   ; L6
    dT 0x01, 0x00, 0x00   ; L8
    dt 0x00, 0x40, 0x00   ; L10
    dT 0x00, 0x10, 0x00   ; L12
    dT 0x00, 0x04, 0x00   ; L14
    dT 0x00, 0x01, 0x00   ; L16
    dt 0x00, 0x00, 0x40   ; L18
    end_pattern

;**********************************************************************
; DF8 - down
;**********************************************************************
    start_pattern 6, 0x10
    dT 0x92, 0x49, 0x20   ; Red
    dT 0x49, 0x24, 0x80   ; Red
    dT 0x24, 0x92, 0x40   ; Red
    end_pattern
;**********************************************************************
; DF8 - down
;**********************************************************************
    start_pattern 6, 0x05
    dt 0x00, 0x00, 0x20   ; L19
    dt 0x00, 0x00, 0x80   ; L17
    dt 0x00, 0x02, 0x00   ; L15
    dt 0x00, 0x08, 0x00   ; L13
    dt 0x00, 0x20, 0x00   ; L11
    dt 0x00, 0x80, 0x00   ; L9
    dt 0x02, 0x00, 0x00   ; L7
    dt 0x08, 0x00, 0x00   ; L5
    dt 0x20, 0x00, 0x00   ; L3
    dt 0x80, 0x00, 0x00   ; L1
    dt 0x00, 0x00, 0x00   ; Blank
    dt 0x00, 0x00, 0x40   ; L18
    dt 0x00, 0x01, 0x00   ; L16
    dt 0x00, 0x04, 0x00   ; L14
    dt 0x00, 0x10, 0x00   ; L12
    dt 0x00, 0x40, 0x00   ; L10
    dt 0x01, 0x00, 0x00   ; L8
    dt 0x04, 0x00, 0x00   ; L6
    dt 0x10, 0x00, 0x00   ; L4
    dt 0x40, 0x00, 0x00   ; L2
    dt 0x00, 0x00, 0x00   ; Blank
    end_pattern

;**********************************************************************
; DF8 - down
;**********************************************************************
    start_pattern 6, 0x10
    dt 0x92, 0x49, 0x20   ; Red
    dt 0x24, 0x92, 0x40   ; Red
    dt 0x49, 0x24, 0x80   ; Red
    end_pattern

demo_store
    dt 0x00
