;**********************************************************************
;   Copyright (C) 2009 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************
; Musecon (Char table)
;**********************************************************************
   start_pattern 0x19 , 0xF
   dt  0x05  ; color 1 &2
   Dt  "  MuseCon"
   dt  0x01  ; color 2
   DT  ".org    "
   end_pattern

;**********************************************************************
; Random
;**********************************************************************
   start_pattern 0x0c , 0x7F
   end_pattern

;**********************************************************************
; MuseCon 0 - The Secret Muse   August 6-8 2010
;**********************************************************************
   start_pattern 0x19 , 0xF
   Dt  0x01
   Dt  "  "
   Dt  "Chicon 7 - "
   Dt  0x05     
   Dt  "World Con   August 30 - Sep 3 2012"
   Dt  "  "
   end_pattern

;**********************************************************************
; I went to Musecon and built this cool blinkie
;**********************************************************************
   start_pattern 0x19 , 0xF
   Dt  0x04
   Dt  "  I went to Musecon and built this "
   dt  0x05
   Dt  "cool "
   dt  0x01
   Dt  "blinkie"   
   Dt  "  "
   end_pattern

;**********************************************************************
; so many blinkies, so little time
;**********************************************************************
   start_pattern 0x19 , 0xF
   Dt  0x01
   Dt  "  so many blinkies, "
   dt  0x04
   Dt  "so little time."
   Dt  "  "
   end_pattern

;**********************************************************************
; www.2dkits.com
;**********************************************************************
   start_pattern 0x19 , 0xF
   Dt  0x01
   Dt  "  www."
   dt  0x04
   dt  "2dkits"
   dt  0x01
   dt  ".com"
   Dt  "  "
   end_pattern

;**********************************************************************
; MuseCon 1 - Finding Our Muse   August 5-7 2011
;**********************************************************************
   start_pattern 0x19 , 0xF
   Dt  0x01
   Dt  "  "
   Dt  "MuseCon 1 - "
   Dt  0x05     
   Dt  "Finding Our Muse   August 5-7 2011"
   Dt  "  "
   end_pattern

;**********************************************************************
; F1 - walker
;**********************************************************************
    start_pattern 0x18 , 0xF
     dt b'00000001',b'00000000' ;0
     dt b'00000011',b'00000000' ;0
     dt b'00000111',b'00000000' ;0
     dt b'00001111',b'00000000' ;0
     dt b'00011111',b'00000000' ;0
     dt b'00111111',b'00000000' ;0
     dt b'01111111',b'00000000' ;0
     dt b'11111111',b'00000000' ;0
     dt b'01111111',b'10000000' ;0
     dt b'00111111',b'11000000' ;0
     dt b'00011111',b'11100000' ;0
     dt b'00001111',b'11110000' ;0
     dt b'00000111',b'11111000' ;0
     dt b'00000011',b'11111100' ;0
     dt b'00000001',b'11111110' ;0
     dt b'00000000',b'11111111' ;0
     dt b'00000001',b'11111111' ;0
     dt b'00000011',b'11111111' ;0
     dt b'00000111',b'11111111' ;0
     dt b'00001111',b'11111111' ;0
     dt b'00011111',b'11111111' ;0
     dt b'00111111',b'11111111' ;0
     dt b'01111111',b'11111111' ;0
     dt b'11111111',b'11111111' ;0
     dt b'01111111',b'01111111' ;0
     dt b'00111111',b'00111111' ;0
     dt b'00011111',b'00011111' ;0
     dt b'00001111',b'00001111' ;0
     dt b'00000111',b'00000111' ;0
     dt b'00000011',b'00000011' ;0
     dt b'00000001',b'00000001' ;0
    end_pattern
;**********************************************************************

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x1f

;---
     dt b'11111111' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'11111111' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'11111111' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'11111111' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'11111111' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'11111111' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'11111111' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'11111111' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
;--------------------- Red
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'11111111' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'11111111' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'11111111' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'11111111' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'11111111' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'11111111' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'11111111' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
;---
     dt b'00000001' ;0
     dt b'00000001' ;1
     dt b'00000001' ;2
     dt b'00000001' ;3
     dt b'00000001' ;4
     dt b'00000001' ;5
     dt b'00000001' ;6
     dt b'00000001' ;7

     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000010' ;0
     dt b'00000010' ;1
     dt b'00000010' ;2
     dt b'00000010' ;3
     dt b'00000010' ;4
     dt b'00000010' ;5
     dt b'00000010' ;6
     dt b'00000010' ;7

     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000100' ;0
     dt b'00000100' ;1
     dt b'00000100' ;2
     dt b'00000100' ;3
     dt b'00000100' ;4
     dt b'00000100' ;5
     dt b'00000100' ;6
     dt b'00000100' ;7

     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00001000' ;0
     dt b'00001000' ;1
     dt b'00001000' ;2
     dt b'00001000' ;3
     dt b'00001000' ;4
     dt b'00001000' ;5
     dt b'00001000' ;6
     dt b'00001000' ;7

     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00010000' ;0
     dt b'00010000' ;1
     dt b'00010000' ;2
     dt b'00010000' ;3
     dt b'00010000' ;4
     dt b'00010000' ;5
     dt b'00010000' ;6
     dt b'00010000' ;7

     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00100000' ;0
     dt b'00100000' ;1
     dt b'00100000' ;2
     dt b'00100000' ;3
     dt b'00100000' ;4
     dt b'00100000' ;5
     dt b'00100000' ;6
     dt b'00100000' ;7

     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'01000000' ;0
     dt b'01000000' ;1
     dt b'01000000' ;2
     dt b'01000000' ;3
     dt b'01000000' ;4
     dt b'01000000' ;5
     dt b'01000000' ;6
     dt b'01000000' ;7

     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'10000000' ;0
     dt b'10000000' ;1
     dt b'10000000' ;2
     dt b'10000000' ;3
     dt b'10000000' ;4
     dt b'10000000' ;5
     dt b'10000000' ;6
     dt b'10000000' ;7

     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
;----
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000001' ;0
     dt b'00000001' ;1
     dt b'00000001' ;2
     dt b'00000001' ;3
     dt b'00000001' ;4
     dt b'00000001' ;5
     dt b'00000001' ;6
     dt b'00000001' ;7

     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'
     dt b'00000001'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000010' ;0
     dt b'00000010' ;1
     dt b'00000010' ;2
     dt b'00000010' ;3
     dt b'00000010' ;4
     dt b'00000010' ;5
     dt b'00000010' ;6
     dt b'00000010' ;7

     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'
     dt b'00000010'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000100' ;0
     dt b'00000100' ;1
     dt b'00000100' ;2
     dt b'00000100' ;3
     dt b'00000100' ;4
     dt b'00000100' ;5
     dt b'00000100' ;6
     dt b'00000100' ;7

     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'
     dt b'00000100'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00001000' ;0
     dt b'00001000' ;1
     dt b'00001000' ;2
     dt b'00001000' ;3
     dt b'00001000' ;4
     dt b'00001000' ;5
     dt b'00001000' ;6
     dt b'00001000' ;7

     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'
     dt b'00001000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00010000' ;0
     dt b'00010000' ;1
     dt b'00010000' ;2
     dt b'00010000' ;3
     dt b'00010000' ;4
     dt b'00010000' ;5
     dt b'00010000' ;6
     dt b'00010000' ;7

     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'
     dt b'00010000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00100000' ;0
     dt b'00100000' ;1
     dt b'00100000' ;2
     dt b'00100000' ;3
     dt b'00100000' ;4
     dt b'00100000' ;5
     dt b'00100000' ;6
     dt b'00100000' ;7

     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'
     dt b'00100000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'01000000' ;0
     dt b'01000000' ;1
     dt b'01000000' ;2
     dt b'01000000' ;3
     dt b'01000000' ;4
     dt b'01000000' ;5
     dt b'01000000' ;6
     dt b'01000000' ;7

     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'
     dt b'01000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'10000000' ;0
     dt b'10000000' ;1
     dt b'10000000' ;2
     dt b'10000000' ;3
     dt b'10000000' ;4
     dt b'10000000' ;5
     dt b'10000000' ;6
     dt b'10000000' ;7

     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
     dt b'10000000'
;----
    end_pattern

;**********************************************************************
; intensity tester - rather boring pattern!
;**********************************************************************
;    start_pattern 0x16 , 0xFE
;
;;---
;     dt b'00000001' ;0
;     dt b'00000011' ;1
;     dt b'00001111' ;2
;     dt b'00011111' ;3
;     dt b'00111111' ;4
;     dt b'00000001' ;5
;     dt b'01111111' ;6
;     dt b'11111111' ;7
;
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'01111111'
;     dt b'11111111'
;
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'00000000'
;     dt b'01111111'
;     dt b'11111111'
;
;     dt b'00000001'
;     dt b'00000011'
;     dt b'00001111'
;     dt b'00011111'
;     dt b'00111111'
;     dt b'00000001'
;     dt b'01111111'
;     dt b'11111111'
;
;;---
;    end_pattern

;**********************************************************************
; fader
;**********************************************************************
    start_pattern 0x1a , 0x0f

;---
     dt b'11111111' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111' ;0
     dt b'11111111' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'

     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111' ;0
     dt b'11111111' ;1
     dt b'11111111' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111' ;0
     dt b'11111111' ;1
     dt b'11111111' ;2
     dt b'11111111' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'11111111' ;1
     dt b'11111111' ;2
     dt b'11111111' ;3
     dt b'11111111' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'11111111' ;2
     dt b'11111111' ;3
     dt b'11111111' ;4
     dt b'11111111' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'11111111' ;3
     dt b'11111111' ;4
     dt b'11111111' ;5
     dt b'11111111' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'11111111' ;4
     dt b'11111111' ;5
     dt b'11111111' ;6
     dt b'11111111' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'11111111' ;5
     dt b'11111111' ;6
     dt b'11111111' ;7

     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'11111111' ;6
     dt b'11111111' ;7

     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'11111111' ;7

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000' ;0
     dt b'00000000' ;1
     dt b'00000000' ;2
     dt b'00000000' ;3
     dt b'00000000' ;4
     dt b'00000000' ;5
     dt b'00000000' ;6
     dt b'00000000' ;7

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'
     dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

;----
    end_pattern


;**********************************************************************
; DF1 - walker
;**********************************************************************

    start_pattern 0x16 , 0x40
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'

     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'

     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'

     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
;---
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'

     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'
     dt b'01010101'

     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'

     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'
     dt b'10101010'

    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00111100'
   dt b'00011110'
   dt b'00111100'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00111000'
   dt b'01111100'
   dt b'01111110'
   dt b'00111111'
   dt b'00111111'
   dt b'01111110'
   dt b'01111100'
   dt b'00111000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00011000'
   dt b'00111100'
   dt b'00011110'
   dt b'00111100'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00111000'
   dt b'01111100'
   dt b'01111110'
   dt b'00111111'
   dt b'00111111'
   dt b'01111110'
   dt b'01111100'
   dt b'00111000'
   dt b'00000000'
   dt b'00011000'
   dt b'00111100'
   dt b'00011110'
   dt b'00111100'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00111000'
   dt b'01111100'
   dt b'01111110'
   dt b'00111111'
   dt b'00111111'
   dt b'01111110'
   dt b'01111100'
   dt b'00111000'
    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'11111111'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'11111111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'01111110'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01111110'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00111100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00100100'
   dt b'00111100'
   dt b'00000000'
   dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'

   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'




   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'

   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'


   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'

   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'


   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'

   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'


   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'

   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'


   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'

   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'


   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'01000000'

   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000010'


   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
   dt b'10000000'
   dt b'01000000'
   dt b'00100000'
   dt b'00010000'
   dt b'00010000'
   dt b'00100000'
   dt b'01000000'
   dt b'10000000'
 
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'
   dt b'00000100'
   dt b'00001000'
   dt b'00001000'
   dt b'00000100'
   dt b'00000010'
   dt b'00000001'
   dt b'00000001'
   dt b'00000010'

    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40
   dt b'10000000'
   dt b'11000000'
   dt b'11100000'
   dt b'11110000'
   dt b'00001111'
   dt b'00000111'
   dt b'00000011'
   dt b'00000001'
   dt b'10000000'
   dt b'11000000'
   dt b'11100000'
   dt b'11110000'
   dt b'00001111'
   dt b'00000111'
   dt b'00000011'
   dt b'00000001'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'


   dt b'00001000'
   dt b'00001100'
   dt b'00001110'
   dt b'00001111'
   dt b'11110000'
   dt b'11100000'
   dt b'11000000'
   dt b'10000000'
   dt b'00001000'
   dt b'00001100'
   dt b'00001110'
   dt b'00001111'
   dt b'11110000'
   dt b'11100000'
   dt b'11000000'
   dt b'10000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'


   dt b'00001111'
   dt b'00001110'
   dt b'00001100'
   dt b'00001000'
   dt b'00010000'
   dt b'00110000'
   dt b'01110000'
   dt b'11110000'
   dt b'00001111'
   dt b'00001110'
   dt b'00001100'
   dt b'00001000'
   dt b'00010000'
   dt b'00110000'
   dt b'01110000'
   dt b'11110000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'


   dt b'11110000'
   dt b'01110000'
   dt b'00110000'
   dt b'00010000'
   dt b'00001000'
   dt b'00001100'
   dt b'00001110'
   dt b'00001111'
   dt b'11110000'
   dt b'01110000'
   dt b'00110000'
   dt b'00010000'
   dt b'00001000'
   dt b'00001100'
   dt b'00001110'
   dt b'00001111'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'
     dt b'00000000'

    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40

; 1 
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 2
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00100100'
   dt b'00100100'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 3
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00111100'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'00111100'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 4

   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'01111110'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'01111110'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 5

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 6

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00011000'
   dt b'00100100'
   dt b'00100100'
   dt b'00011000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'

; 7

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00111100'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'01000010'
   dt b'00111100'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'
   dt b'00000000'

; 8

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'01111110'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'10000001'
   dt b'01111110'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'11111111'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'11111111'

    end_pattern

;**********************************************************************
; DF1 - walker
;**********************************************************************
    start_pattern 0x16 , 0x40

; 1
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'

; 2
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'

; 3
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'

; 4
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'

; 5
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'

   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 6
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'

   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 7
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'

   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 8
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'

   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 9
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'

   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

; 10
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'

   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'

; 11
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'

   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'

; 12
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'

   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'

; 13
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'

   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'

; 14
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'

   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'

; 15
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'

   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'

; 16
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'

   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'

; 17
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00010000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'
   dt b'01111110'
   dt b'00100000'
   dt b'00010000'
   dt b'00000000'
   dt b'00000110'
   dt b'00000110'

; 18
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'
   dt b'00010000'
   dt b'00001000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'

   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00000000'
   dt b'00001100'
   dt b'00001100'
   dt b'11111100'
   dt b'01000000'
   dt b'00100000'
   dt b'00000000'
   dt b'00000011'
   dt b'00000011'
   dt b'00111111'

    end_pattern

;**********************************************************************
; act like a graphic equalizer
;**********************************************************************
    start_pattern 0x16 , 0x1f

     dt b'00000001' ;0
     dt b'00000001' ;1
     dt b'00000111' ;2
     dt b'00000111' ;3
     dt b'00001111' ;4
     dt b'00001111' ;5
     dt b'01111111' ;6
     dt b'01111111' ;7
     dt b'00001111'
     dt b'00001111'
     dt b'00011111'
     dt b'00011111'
     dt b'00000111'
     dt b'00000111'
     dt b'00000011'
     dt b'00000011'

     dt b'00000001'
     dt b'00000001'
     dt b'00000100'
     dt b'00000100'
     dt b'00001000'
     dt b'00001000'
     dt b'01000000'
     dt b'01000000'
     dt b'00001000'
     dt b'00001000'
     dt b'00010000'
     dt b'00010000'
     dt b'00000100'
     dt b'00000100'
     dt b'00000010'
     dt b'00000010'

     dt b'00001111' ;0
     dt b'00001111' ;1
     dt b'00000011' ;2
     dt b'00000011' ;3
     dt b'00111111' ;4
     dt b'00111111' ;5
     dt b'11111111' ;6
     dt b'11111111' ;7
     dt b'00011111'
     dt b'00011111'
     dt b'00000111'
     dt b'00000111'
     dt b'00001111'
     dt b'00001111'
     dt b'00111111'
     dt b'00111111'

     dt b'00001000'
     dt b'00001000'
     dt b'00000010'
     dt b'00000010'
     dt b'00100000'
     dt b'00100000'
     dt b'10000000'
     dt b'10000000'
     dt b'00010000'
     dt b'00010000'
     dt b'00000100'
     dt b'00000100'
     dt b'00001000'
     dt b'00001000'
     dt b'00100000'
     dt b'00100000'

     dt b'00000011' ;0
     dt b'00000011' ;1
     dt b'00001111' ;2
     dt b'00001111' ;3
     dt b'00011111' ;4
     dt b'00011111' ;5
     dt b'11111111' ;6
     dt b'11111111' ;7
     dt b'00001111'
     dt b'00001111'
     dt b'00000111'
     dt b'00000111'
     dt b'00011111'
     dt b'00011111'
     dt b'00001111'
     dt b'00001111'

     dt b'00000010'
     dt b'00000010'
     dt b'00001000'
     dt b'00001000'
     dt b'00010000'
     dt b'00010000'
     dt b'10000000'
     dt b'10000000'
     dt b'00001000'
     dt b'00001000'
     dt b'00000100'
     dt b'00000100'
     dt b'00010000'
     dt b'00010000'
     dt b'00001000'
     dt b'00001000'

    end_pattern

;**********************************************************************
; XMODEM "ACK ACK ACK" ( in honor of Ward )
;**********************************************************************
   start_pattern 0x19 , 0xF
   dt  0x01 ; red
   dt  "    ACK     "
   dt  0x05 ; yellow
   dt  "    ACK     "
   dt  0x04 ; green
   dt  "    ACK     "
   dt  0x01 ; red
   dt  "            NAK             "
   end_pattern


;**********************************************************************
; Char test
;**********************************************************************
;   start_pattern 0x19 , 0x1F
;   dt  0x04 ; green
;   dt  "    !",0x22,"#$%&(')*+,-./"
;   dt  "0123456789"
;   dt  ":;<=>?@"
;   dt  "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
;   dt  "[\\]^_`"
;   dt  "abcdefghijklmnopqrstuvwxyz"
;   end_pattern

;**********************************************************************
chartable  ; 
;**********************************************************************

    dt 0x01, 0x00, 0x00, 0x00, 0x00, 0x00;   0x20 space
    dt 0x01, 0xF2, 0x00, 0x00, 0x00, 0x00;   0x21 !
    dt 0x03, 0xE0, 0x00, 0xE0, 0x00, 0x00;   0x22 "
    dt 0x05, 0x28, 0xFE, 0x28, 0xFE, 0x28;   0x23 #
    dt 0x05, 0x24, 0x54, 0xFE, 0x54, 0x48;   0x24 $
    dt 0x05, 0xC4, 0xC8, 0x10, 0x26, 0x46;   0x25%
    dt 0x05, 0x6C, 0x92, 0xAA, 0x84, 0x0A;   0x26 &
    dt 0x03, 0x38, 0x44, 0x82, 0x00, 0x00;   0x27 (
    dt 0x02, 0xA0, 0xC0, 0x00, 0x00, 0x00;   0x28 '
    dt 0x03, 0x82, 0x44, 0x38, 0x00, 0x00;   0x29 )
    dt 0x05, 0x28, 0x10, 0x7C, 0x10, 0x28;   0x2A *
    dt 0x05, 0x10, 0x10, 0x7C, 0x10, 0x10;   0x2B +
    dt 0x02, 0x05, 0x06, 0x00, 0x00, 0x00;   0x2C ,
    dt 0x05, 0x10, 0x10, 0x10, 0x10, 0x10;   0x2D -
    dt 0x02, 0x06, 0x06, 0x00, 0x00, 0x00;   0x2E .
    dt 0x05, 0x04, 0x08, 0x10, 0x20, 0x40;   0x2F /
    dt 0x04, 0x7C, 0x82, 0x82, 0x7C, 0x00;   0x30 0
    dt 0x03, 0x42, 0xFE, 0x02, 0x00, 0x00;   0x31 1
    dt 0x04, 0x46, 0x8A, 0x92, 0x62, 0x00;   0x32 2
    dt 0x04, 0x44, 0x82, 0x92, 0x6C, 0x00;   0x33 3
    dt 0x05, 0x18, 0x28, 0x48, 0xFE, 0x08;   0x34 4
    dt 0x04, 0xE4, 0xA2, 0xA2, 0x9C, 0x00;   0x35 5
    dt 0x04, 0x3C, 0x52, 0x92, 0x0C, 0x00;   0x36 6
    dt 0x04, 0x80, 0x8E, 0x90, 0xE0, 0x00;   0x37 7
    dt 0x04, 0x6C, 0x92, 0x92, 0x6C, 0x00;   0x38 8
    dt 0x04, 0x60, 0x92, 0x92, 0x7C, 0x00;   0x39 9
    dt 0x02, 0x36, 0x36, 0x00, 0x00, 0x00;   0x3A :
    dt 0x02, 0x35, 0x36, 0x00, 0x00, 0x00;   0x3B ;
    dt 0x04, 0x10, 0x28, 0x44, 0x82, 0x00;   0x3C <
    dt 0x05, 0x28, 0x28, 0x28, 0x28, 0x28;   0x3D =
    dt 0x04, 0x82, 0x44, 0x28, 0x10, 0x00;   0x3E >
    dt 0x05, 0x40, 0x80, 0x8A, 0x90, 0x60;   0x3F ?
    dt 0x05, 0x4C, 0x92, 0x9E, 0x82, 0x7C;   0x40 @
    dt 0x05, 0x3E, 0x48, 0x88, 0x48, 0x3E;   0x41 A
    dt 0x05, 0xFE, 0x92, 0x92, 0x92, 0x6C;   0x42 B
    dt 0x05, 0x7C, 0x82, 0x82, 0x82, 0x44;   0x43 C
    dt 0x05, 0xFE, 0x82, 0x82, 0x82, 0x7C;   0x44 D
    dt 0x05, 0xFE, 0x92, 0x92, 0x92, 0x92;   0x45 E
    dt 0x05, 0xFE, 0x90, 0x90, 0x90, 0x90;   0x46 F
    dt 0x05, 0x7C, 0x82, 0x92, 0x92, 0x5C;   0x47 G
    dt 0x05, 0xFE, 0x10, 0x10, 0x10, 0xFE;   0x48 H
    dt 0x03, 0x82, 0xFE, 0x82, 0x00, 0x00;   0x49 I
    dt 0x04, 0x04, 0x02, 0x02, 0xFC, 0x00;   0x4A J
    dt 0x05, 0xFE, 0x10, 0x28, 0x44, 0x82;   0x4B K
    dt 0x05, 0xFE, 0x02, 0x02, 0x02, 0x02;   0x4C L
    dt 0x05, 0xFE, 0x40, 0x30, 0x40, 0xFE;   0x4D M
    dt 0x05, 0xFE, 0x40, 0x20, 0x10, 0xFE;   0x4E N
    dt 0x05, 0x7C, 0x82, 0x82, 0x82, 0x7C;   0x4F O
    dt 0x05, 0xFE, 0x90, 0x90, 0x90, 0x60;   0x50 P
    dt 0x05, 0x7C, 0x82, 0x8A, 0x84, 0x7A;   0x51 Q
    dt 0x05, 0xFE, 0x90, 0x98, 0x94, 0x62;   0x52 R
    dt 0x05, 0x64, 0x92, 0x92, 0x92, 0x4C;   0x53 S
    dt 0x05, 0x80, 0x80, 0xFE, 0x80, 0x80;   0x54 T
    dt 0x05, 0xFC, 0x02, 0x02, 0x02, 0xFC;   0x55 U
    dt 0x05, 0xF8, 0x04, 0x02, 0x04, 0xF8;   0x56 V
    dt 0x05, 0xFC, 0x02, 0x1C, 0x02, 0xFC;   0x57 W
    dt 0x05, 0xC6, 0x28, 0x10, 0x28, 0xC6;   0x58 X
    dt 0x05, 0xE0, 0x10, 0x0E, 0x10, 0xE0;   0x59 Y
    dt 0x05, 0x86, 0x8A, 0x92, 0xA2, 0xC2;   0x5A Z
    dt 0x03, 0xFE, 0x82, 0x82, 0x00, 0x00;   0x5B [
    dt 0x05, 0x40, 0x20, 0x10, 0x08, 0x04;   0x5C \
    dt 0x03, 0x82, 0x82, 0xFE, 0x00, 0x00;   0x5D ]
    dt 0x05, 0x20, 0x40, 0x80, 0x40, 0x20;   0x5E ^
    dt 0x05, 0x01, 0x01, 0x01, 0x01, 0x01;   0x5F _
    dt 0x02, 0xC0, 0xA0, 0x00, 0x00, 0x00;   0x60 `
    dt 0x04, 0x04, 0x2A, 0x2A, 0x1E, 0x00;   0x61 a
    dt 0x04, 0xFE, 0x22, 0x22, 0x1C, 0x00;   0x62 b
    dt 0x04, 0x1C, 0x22, 0x22, 0x22, 0x00;   0x63 c
    dt 0x04, 0x1C, 0x22, 0x22, 0xFE, 0x00;   0x64 d
    dt 0x04, 0x1C, 0x2A, 0x2A, 0x18, 0x00;   0x65 e
    dt 0x04, 0x10, 0x7E, 0x90, 0x40, 0x00;   0x66 f
    dt 0x04, 0x18, 0x25, 0x25, 0x3E, 0x00;   0x67 g
    dt 0x04, 0xFE, 0x10, 0x20, 0x1E, 0x00;   0x68 h
    dt 0x03, 0x22, 0xBE, 0x02, 0x00, 0x00;   0x69 i
    dt 0x04, 0x02, 0x01, 0x21, 0xBE, 0x00;   0x6A j
    dt 0x04, 0xFE, 0x08, 0x14, 0x22, 0x00;   0x6B k
    dt 0x03, 0x82, 0xFE, 0x02, 0x00, 0x00;   0x6C l
    dt 0x05, 0x1E, 0x20, 0x18, 0x20, 0x1E;   0x6D m
    dt 0x04, 0x3E, 0x10, 0x20, 0x1E, 0x00;   0x6E n
    dt 0x04, 0x1C, 0x22, 0x22, 0x1C, 0x00;   0x6F o
    dt 0x04, 0x3F, 0x24, 0x24, 0x18, 0x00;   0x70 p
    dt 0x04, 0x18, 0x24, 0x24, 0x3F, 0x00;   0x71 q
    dt 0x04, 0x3E, 0x10, 0x20, 0x20, 0x00;   0x72 r
    dt 0x04, 0x10, 0x2A, 0x2A, 0x04, 0x00;   0x73 s
    dt 0x03, 0x20, 0x7E, 0x20, 0x00, 0x00;   0x74 t
    dt 0x04, 0x3C, 0x02, 0x02, 0x3C, 0x00;   0x75 u
    dt 0x05, 0x38, 0x04, 0x02, 0x04, 0x38;   0x76 v
    dt 0x05, 0x3C, 0x02, 0x0C, 0x02, 0x3C;   0x77 w
    dt 0x05, 0x22, 0x14, 0x08, 0x14, 0x22;   0x78 x
    dt 0x05, 0x38, 0x05, 0x05, 0x3E, 0x00;   0x79 y
    dt 0x04, 0x26, 0x2A, 0x32, 0x00, 0x00;   0x7A z
    dt 0x03, 0x10, 0x6C, 0x82, 0x00, 0x00;   0x7B {
    dt 0x01, 0xFF, 0x00, 0x00, 0x00, 0x00;   0x7C |
    dt 0x03, 0x82, 0x6C, 0x10, 0x00, 0x00;   0x7D }
    dt 0x04,0x00,0x3E,0x3E,0x3E,0x80; 0x7B user for color icon
    dt 0x04,0x77,0x41,0x63,0x41,0xF7; 0x7C end of patter
    dt 0x04,0x14,0x22,0x14,0x22,0x94; 0x7D invalid character


#ifndef __16F726

;**********************************************************************
; eeprom
;**********************************************************************
#ifdef __16F1936
        ORG     0xF000
#else
#ifdef __16F1938
        ORG     0xF000
#else
	ORG	0x2100				; data EEPROM location
#endif
#endif

demo_store
    de 0x01
#endif
