;**********************************************************************
;
;***********************************************************************
;        +++------------------------------ RGB 1
;        |||+++--------------------------- RGB 2
;        ||||||++----+-------------------- RGB 3
;        ||||||||    |+++----------------- RGB 4
;        ||||||||    ||||+++-------------- RGB 5
;        ||||||||    |||||||+    ++------- RGB 6
;        ||||||||    ||||||||    ||++++++- Delay
;        AAABBBCC    CDDDEEEF    FFGGGGGG

    start_pattern 0x06, 0x1f
   dt  b'11111111',b'11111111',b'11110000' ; all   

   dt  b'10000000',b'00000000',b'00000000' ; 1st RGB Red  
   dt  b'01000000',b'00000000',b'00000000' ; 1st RGB green
   dt  b'00100000',b'00000000',b'00000000' ; 1st RGB Blue

   dt  b'00010000',b'00000000',b'00000000' ; 2nd RGB Red
   dt  b'00001000',b'00000000',b'00000000' ; 2nd RGB green
   dt  b'00000100',b'00000000',b'00000000' ; 2nd RGB blue

   dt  b'00000010',b'00000000',b'00000000' ; 3rd RGB Red
   dt  b'00000001',b'00000000',b'00000000' ; 3rd RGB green
   dt  b'00000000',b'10000000',b'00000000' ; 3rd RGB blue

   dt  b'00000000',b'01000000',b'00000000' ; 4st RGB Red  
   dt  b'00000000',b'00100000',b'00000000' ; 4st RGB green
   dt  b'00000000',b'00010000',b'00000000' ; 4st RGB Blue

   dt  b'00000000',b'00001000',b'00000000' ; 5nd RGB Red
   dt  b'00000000',b'00000100',b'00000000' ; 5nd RGB green
   dt  b'00000000',b'00000010',b'00000000' ; 5nd RGB blue

   dt  b'00000000',b'00000001',b'00000000' ; 6rd RGB Red
   dt  b'00000000',b'00000000',b'10000000' ; 6rd RGB green
   dt  b'00000000',b'00000000',b'01000000' ; 6rd RGB blue

   end_pattern

;**********************************************************************
; Rainbow fade
;***********************************************************************


    start_pattern 0x1e, 0x08
;        +++------------------------------ RGB 1
;        |||+++--------------------------- RGB 2
;        ||||||++----+-------------------- RGB 3
;        ||||||||    |+++----------------- RGB 4
;        ||||||||    ||||+++-------------- RGB 5
;        ||||||||    |||||||+    ++------- RGB 6
;        ||||||||    ||||||||    ||++++++- Delay
;        AAABBBCC    CDDDEEEF    FFGGGGGG

    dt b'10000100',b'10010010',b'10001111' ; Red up, Green down, Blue down, 64 count
    dt b'10010000',b'10010010',b'01001111' ; Red up, Green down, Blue down, 64 count
    dt b'10010010',b'00010010',b'01001111' ; Red up, Green down, Blue down, 64 count
    dt b'10010010',b'01000010',b'01001111' ; Red up, Green down, Blue down, 64 count
    dt b'01010010',b'01001000',b'01001111' ; Red up, Green down, Blue down, 64 count
    dt b'01001010',b'01001001',b'00001111' ; Red up, Green down, Blue down, 64 count
    dt b'01001001',b'01001001',b'00001111' ; Red up, Green down, Blue down, 64 count
    dt b'01001001',b'00101001',b'00001111' ; Red up, Green down, Blue down, 64 count
    dt b'00101001',b'00100101',b'00001111' ; Red up, Green down, Blue down, 64 count
    dt b'00100101',b'00100100',b'10001111' ; Red up, Green down, Blue down, 64 count
    dt b'00100100',b'10100100',b'10001111' ; Red up, Green down, Blue down, 64 count
    dt b'00100100',b'10010100',b'10001111' ; Red up, Green down, Blue down, 64 count
    end_pattern

;**********************************************************************
; All Fade
;***********************************************************************


    start_pattern 0x1e, 0x04
;        +++------------------------------ RGB 1
;        |||+++--------------------------- RGB 2
;        ||||||++----+-------------------- RGB 3
;        ||||||||    |+++----------------- RGB 4
;        ||||||||    ||||+++-------------- RGB 5
;        ||||||||    |||||||+    ++------- RGB 6
;        ||||||||    ||||||||    ||++++++- Delay
;        AAABBBCC    CDDDEEEE    EEEFGGGG

    dt b'10010010',b'01001001',b'00111111' ; Red up, Green down, Blue down, 256 count
    dt b'01001001',b'00100100',b'10111111' ; Red down, Green up, Blue down, 256 count
    dt b'00100100',b'10010010',b'01111111' ; Red down, Green down, Blue up, 256 count

    end_pattern


#ifdef DEADCODE
;**********************************************************************
;
;***********************************************************************


    start_pattern 0x12, 0x04

    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red Down, Green down, Blue down, 64 count

    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x0f, 0x30
;
;        11112222    33334444    55556666    77778888    99990000    11112222 
    dt b'00110000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00001100',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000011',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'11000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00110000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00001100',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000011',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00110000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00001100',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00000011',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00000000',b'11000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00110000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00001100'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000011'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    end_pattern

;**********************************************************************
;
;***********************************************************************


    start_pattern 0x12, 0x04
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111111',b'11111111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111111',b'11000000',b'00000000' ; Red down, Green up, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111111',b'11111111' ; Red down, Green down, Blue up, 64 count

    end_pattern

;**********************************************************************
;
;***********************************************************************


    start_pattern 0x12, 0x04
;          RRRRRR    RRRRRRRR      GGGGGG    GGGGGGGG      BBBBBB    BBBBBBBB
    dt b'11111100',b'00000000',b'11111111',b'11111100',b'11000000',b'01111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11111000',b'00000000',b'11111111',b'11111000',b'11000000',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11110000',b'00000001',b'11111111',b'11110000',b'11000001',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11100000',b'00000011',b'11111111',b'11100000',b'11000011',b'11111111' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000111',b'11111111',b'11000000',b'11000111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00001111',b'11111111',b'10000000',b'11001111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00011111',b'11111111',b'00000000',b'11011111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00111111',b'11111110',b'00000000',b'11111111',b'11111110' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'01111111',b'11111100',b'00000000',b'11111111',b'11111100' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'11111111',b'11111000',b'00000000',b'11111111',b'11111000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000001',b'11111111',b'11110000',b'00000001',b'11111111',b'11110000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000011',b'11111111',b'11100000',b'00000011',b'11111111',b'11100000' ; Red Down, Green down, Blue down, 64 count

    dt b'11000111',b'11111111',b'11000000',b'00000111',b'11111111',b'11000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11001111',b'11111111',b'11000000',b'00001111',b'11111111',b'10000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11011111',b'11111111',b'11000000',b'00011111',b'11111111',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'11111110',b'11000000',b'00111111',b'11111110',b'00000000' ; Red Down, Green down, Blue down, 64 count

    dt b'11111111',b'11111100',b'11000000',b'01111111',b'11111100',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'11111000',b'11000000',b'11111111',b'11111000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'11110000',b'11000001',b'11111111',b'11110000',b'00000001' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'11100000',b'11000011',b'11111111',b'11100000',b'00000011' ; Red Down, Green down, Blue down, 64 count

    dt b'11111111',b'11000000',b'11000111',b'11111111',b'11000000',b'00000111' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'10000000',b'11001111',b'11111111',b'11000000',b'00001111' ; Red Down, Green down, Blue down, 64 count
    dt b'11111111',b'00000000',b'11011111',b'11111111',b'11000000',b'00011111' ; Red Down, Green down, Blue down, 64 count
    dt b'11111110',b'00000000',b'11111111',b'11111110',b'11000000',b'00111111' ; Red Down, Green down, Blue down, 64 count

    end_pattern

;**********************************************************************
;
;***********************************************************************


    start_pattern 0x12, 0x04
;          RRRRRR    RRRRRRRR      GGGGGG    GGGGGGGG      BBBBBB    BBBBBBBB
    dt b'11000000',b'00000000',b'11111111',b'11111100',b'11000000',b'01111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111000',b'11000000',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11110000',b'11000001',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11100000',b'11000011',b'11111111' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11111111',b'11000000',b'11000111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'10000000',b'11001111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'00000000',b'11011111',b'11111111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111110',b'00000000',b'11111111',b'11111110' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11111100',b'00000000',b'11111111',b'11111100' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111000',b'00000000',b'11111111',b'11111000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11110000',b'00000001',b'11111111',b'11110000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11100000',b'00000011',b'11111111',b'11100000' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'00000111',b'11111111',b'11000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00001111',b'11111111',b'10000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00011111',b'11111111',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'00111111',b'11111110',b'00000000' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000000',b'01111111',b'11111100',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000000',b'11111111',b'11111000',b'00000000' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000001',b'11111111',b'11110000',b'00000001' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11000011',b'11111111',b'11100000',b'00000011' ; Red Down, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11000111',b'11111111',b'11000000',b'00000111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11001111',b'11111111',b'11000000',b'00001111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11011111',b'11111111',b'11000000',b'00011111' ; Red Down, Green down, Blue down, 64 count
    dt b'11000000',b'00000000',b'11111111',b'11111110',b'11000000',b'00111111' ; Red Down, Green down, Blue down, 64 count

    end_pattern

;**********************************************************************
;
;***********************************************************************


    start_pattern 0x12, 0x01
    dt b'11100000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11110000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11111100',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11011110',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11001111',b'00000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000111',b'10000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000011',b'11000000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000001',b'11100000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'11110000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'01111000',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00111100',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00011110',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00001111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00000111',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00000011',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count
    dt b'11000000',b'00000001',b'11000000',b'00000000',b'11000000',b'00000000' ; Red up, Green down, Blue down, 64 count

    dt b'11000000',b'00000000',b'11100000',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11110000',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11111000',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11111100',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11011110',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11001111',b'00000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000111',b'10000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000011',b'11000000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000001',b'11100000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'11110000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'01111000',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00111100',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00011110',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00001111',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000111',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000011',b'11000000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000001',b'11000000',b'00000000'

    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11100000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11110000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111000',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11111100',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11011110',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11001111',b'00000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000111',b'10000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000011',b'11000000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000001',b'11100000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'11110000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'01111000'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00111100'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00011110'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00001111'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000111'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000011'
    dt b'11000000',b'00000000',b'11000000',b'00000000',b'11000000',b'00000001'
    end_pattern




;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0xff
;
;        11112222    33334444  
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'00000001',b'11111100'         ; 1 cycles hi White down
    dt b'00001101',b'00000000'         ; 13 cycles blank down
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0x50
;
;        11112222    33334444  
    dt b'00000001',b'11000000'         ; 1 cycles hi red down
    dt b'00000001',b'00000000'         ; 1 cycles blank down
    dt b'00000001',b'00110000'         ; 1 cycles hi Green down
    dt b'00000001',b'00000000'         ; 1 cycles blank down
    dt b'00000001',b'00001100'         ; 1 cycles hi Blue down
    dt b'00001000',b'00000000'         ; 8 cycles blank down
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0x50
;
;        11112222    33334444
    dt b'10001110',b'01000000'         ; 14 cycles low down
    dt b'00001110',b'10000000'         ; 14 cycles Mid down
    dt b'10001110',b'11000000'         ; 14 cycles hi Green down
    dt b'00001110',b'10000000'         ; 14 cycles Mid down
    dt b'10001110',b'01000000'         ; 14 cycles low down
    dt b'00001110',b'00000000'         ; 14 cycles blank down

    dt b'00101110',b'00000100'         ; 14 cycles low down
    dt b'00001110',b'00001000'         ; 14 cycles Mid down
    dt b'00101110',b'00001100'         ; 14 cycles hi Green down
    dt b'00001110',b'00001000'         ; 14 cycles Mid down
    dt b'00101110',b'00000100'         ; 14 cycles low down
    dt b'00001110',b'00000000'         ; 14 cycles blank down

    dt b'01001110',b'00010000'         ; 14 cycles low down
    dt b'00001110',b'00100000'         ; 14 cycles Mid down
    dt b'01001110',b'00110000'         ; 14 cycles hi Green down
    dt b'00001110',b'00100000'         ; 14 cycles Mid down
    dt b'01001110',b'00010000'         ; 14 cycles low down
    dt b'00001110',b'00000000'         ; 14 cycles blank down
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0x50
;
;        11112222    33334444
    dt b'01001110',b'01010000'         ; 14 cycles low down
    dt b'10001110',b'10100000'         ; 14 cycles Mid down
    dt b'01001110',b'11110000'         ; 14 cycles hi Green down
    dt b'10001110',b'10100000'         ; 14 cycles Mid down
    dt b'01001110',b'01010000'         ; 14 cycles low down
    dt b'10001110',b'00000000'         ; 14 cycles blank down

    dt b'00101110',b'01000100'         ; 14 cycles low down
    dt b'10001110',b'10001000'         ; 14 cycles Mid down
    dt b'00101110',b'11001100'         ; 14 cycles hi Green down
    dt b'10001110',b'10001000'         ; 14 cycles Mid down
    dt b'00101110',b'01000100'         ; 14 cycles low down
    dt b'10001110',b'00000000'         ; 14 cycles blank down

    dt b'01001110',b'00010100'         ; 14 cycles low down
    dt b'00101110',b'00101000'         ; 14 cycles Mid down
    dt b'01001110',b'00111100'         ; 14 cycles hi Green down
    dt b'00101110',b'00101000'         ; 14 cycles Mid down
    dt b'01001110',b'00010100'         ; 14 cycles low down
    dt b'00101110',b'00000000'         ; 14 cycles blank down
    end_pattern




;**********************************************************************
;
;**********************************************************************

    start_pattern 0x0f, 0x30
;
;        11112222    33334444    55556666    77778888    99990000    11112222 
    dt b'00111111',b'11111111',b'00000000',b'00000001',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00111111',b'11111111',b'00000000',b'00000000'
    dt b'00000000',b'00000000',b'00000000',b'00000000',b'00111111',b'11111111'
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x0f, 0xff
;
;        11112222    33334444    55556666    77778888    99990000    11112222 
    dt b'11111111',b'11111111',b'00000000',b'00000001',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00111111',b'11111111',b'00000000',b'00000000'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00111111',b'11111111'
    dt b'11000000',b'00000000',b'00000000',b'00000000',b'00000000',b'00000000'
    end_pattern

;**********************************************************************
; bounce back
;**********************************************************************

    start_pattern 0x10, 0x80
;
;        11112222    33334444  
    dt b'10000001',b'11000000'         ; 1 cycles hi red down
    dt b'10001101',b'00000000'         ; 13 cycles blank down
    dt b'01000001',b'00110000'         ; 1 cycles hi green down
    dt b'01001101',b'00000000'         ; 13 cycles blank down
    dt b'00100001',b'00001100'         ; 1 cycles hi blue down
    dt b'00101101',b'00000000'         ; 13 cycles blank down
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0x10
;
;        11112222    33334444  
    dt b'10000010',b'11000000'         ; 2 cycles hi red down
    dt b'10001110',b'00000000'         ; 14 cycles blank down
    dt b'01000010',b'00110000'         ; 2 cycles hi green down
    dt b'01001110',b'00000000'         ; 14 cycles blank down
    dt b'00100010',b'00001100'         ; 2 cycles hi blue down
    dt b'00101110',b'00000000'         ; 14 cycles blank down
    end_pattern

;**********************************************************************
;
;**********************************************************************

    start_pattern 0x10, 0xff
;
;        11112222    33334444  
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'10001111',b'11000000'         ; 14 cycles hi Red down
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'00001111',b'11000000'         ; 14 cycles hi Red up
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'01001111',b'00110000'         ; 14 cycles hi Green down
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'00001111',b'00110000'         ; 14 cycles hi Green up
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'00101111',b'00001100'         ; 14 cycles hi blue down
    dt b'00011111',b'00000000'         ; clear all Leds
    dt b'00001111',b'00001100'         ; 14 cycles hi blue up
    end_pattern




;**********************************************************************
; 
;**********************************************************************

    start_pattern 0x10, 0x60
;
;        11112222    33334444  
    dt b'10000001',b'11000000'         ; 1 cycles hi red down
    dt b'10001110',b'00000000'         ; 14 cycles blank down
    dt b'01000001',b'00110000'         ; 1 cycles hi green down
    dt b'01001110',b'00000000'         ; 14 cycles blank down
    dt b'00100001',b'00001100'         ; 1 cycles hi blue down
    dt b'00101110',b'00000000'         ; 14 cycles blank down
    end_pattern

#endif

	ORG	0xF000				; data EEPROM locatio

demo_store
    dt b'00000001'
