;--------------------------------------------------------------------------------------
display_cycle0  ; A0
;--------------------------------------------------------------------------------------
    LedOutInd  A1_A0_reg,Ax_dir,1    ;LED A1-A0
    LedOutInd  A2_A0_reg,Ax_dir,2    ;LED A2-A0
    LedOutInd  C0_A0_reg,Cx_dir,0    ;LED C0-A0
    LedOutInd  C1_A0_reg,Cx_dir,1    ;LED C1-A0
    LedOutInd  C2_A0_reg,Cx_dir,2    ;LED C2-A0

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000001'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1 ; A1
;--------------------------------------------------------------------------------------
    LedOutInd  A0_A1_reg,Ax_dir,0    ;LED A0-A1
    LedOutInd  A2_A1_reg,Ax_dir,2    ;LED A2-A1
    LedOutInd  C0_A1_reg,Cx_dir,0    ;LED C0-A1
    LedOutInd  C1_A1_reg,Cx_dir,1    ;LED C1-A1
    LedOutInd  C2_A1_reg,Cx_dir,2    ;LED C2-A1

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000010'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2 ; A2
;--------------------------------------------------------------------------------------
    LedOutInd  A0_A2_reg,Ax_dir,0    ;LED A0-A2
    LedOutInd  A1_A2_reg,Ax_dir,1    ;LED A1-A2
    LedOutInd  C0_A2_reg,Cx_dir,0    ;LED C0-A2
    LedOutInd  C1_A2_reg,Cx_dir,1    ;LED C1-A2
    LedOutInd  C2_A2_reg,Cx_dir,2    ;LED C2-A2

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000100'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3 ; C0
;--------------------------------------------------------------------------------------
    LedOutInd  A0_C0_reg,Ax_dir,0    ;LED A0-C0
    LedOutInd  A1_C0_reg,Ax_dir,1    ;LED A1-C0
    LedOutInd  A2_C0_reg,Ax_dir,2    ;LED A2-C0
    LedOutInd  C1_C0_reg,Cx_dir,1    ;LED C1-C0
    LedOutInd  C2_C0_reg,Cx_dir,2    ;LED C2-C0

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000000'
    movwf   PORTA
    movlw   b'00000001'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle3

    return

;--------------------------------------------------------------------------------------
display_cycle4 ; C1
;--------------------------------------------------------------------------------------
    LedOutInd  A0_C1_reg,Ax_dir,0    ;LED A0-C1
    LedOutInd  A1_C1_reg,Ax_dir,1    ;LED A1-C1
    LedOutInd  A2_C1_reg,Ax_dir,2    ;LED A2-C1
    LedOutInd  C0_C1_reg,Cx_dir,0    ;LED C0-C1
    LedOutInd  C2_C1_reg,Cx_dir,2    ;LED C2-C1

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000000'
    movwf   PORTA
    movlw   b'00000010'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle4

    return

;--------------------------------------------------------------------------------------
display_cycle5 ; C2
;--------------------------------------------------------------------------------------
    LedOutInd  A0_C2_reg,Ax_dir,0    ;LED A0-C2
    LedOutInd  A1_C2_reg,Ax_dir,1    ;LED A1-C2
    LedOutInd  A2_C2_reg,Ax_dir,2    ;LED A2-C2
    LedOutInd  C0_C2_reg,Cx_dir,0    ;LED C0-C2
    LedOutInd  C1_C2_reg,Cx_dir,1    ;LED C1-C2

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    BANKSEL PORTA
    movlw   b'00000000'
    movwf   PORTA
    movlw   b'00000100'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle5

    return
