;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------
    LedOut  Ab_reg,Ax_dir,1    ;LED Dr     A0-A1  
    LedOut  Cr_reg,Ax_dir,2    ;LED Dg     A0-A2
    LedOut  Db_reg,Ax_dir,5    ;LED Db     A0-A5


    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA

    BANKSEL 0
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
    LedOut  Bb_reg,Ax_dir,0    ;LED Dr     A1-A0
    LedOut  Ag_reg,Ax_dir,2    ;LED Dg     A1-A2
    LedOut  Ar_reg,Ax_dir,5    ;LED Db     A1-A5

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
 
    BANKSEL 0
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
    LedOut  Dr_reg,Ax_dir,0    ;LED Dr     A2-A0
    LedOut  Bg_reg,Ax_dir,1    ;LED Dg     A2-A1
    LedOut  Dg_reg,Ax_dir,5    ;LED Db     A2-A5

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA


    BANKSEL 0
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------
    LedOut  Cb_reg,Ax_dir,0    ;LED Dr     A5-A0
    LedOut  Cg_reg,Ax_dir,2    ;LED Db     A5-A2
    LedOut  Br_reg,Ax_dir,1    ;LED Dg     A5-A1

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA


#ifdef BADGE
    var a_out

    BANKSEL a_out
    movlw   b'00110000'   ; Badge Center LED A4-Ground
    movwf   a_out
    movfw   TMR0
    subwf   Center_reg,w
    btfss   STATUS,C    
    bcf     a_out,4
    movfw   a_out
    movwf   PORTA
#else
    BANKSEL PORTA
    movlw   b'00100000'
    movwf   PORTA
#endif

    decfsz  fcount,f
    goto    display_cycle3

    return
