;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------
    LedOutInd  B7_B6_reg,Bx_dir,6
    LedOutInd  B7_B5_reg,Bx_dir,5
;    LedOutInd  B7_B4_reg,Bx_dir,4
    bsf     Bx_dir,  4

    LedOutInd  B7_B3_reg,Bx_dir,3
    LedOutInd  B7_B2_reg,Bx_dir,2

    LedOutInd  A0_A5_reg,Ax_dir,5  
    LedOutInd  A0_A4_reg,Ax_dir,4
;    LedOutInd  A0_A3_reg,Ax_dir,3
    bsf     Ax_dir,  3
    LedOutInd  A0_A2_reg,Ax_dir,2
    LedOutInd  A0_A1_reg,Ax_dir,1

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB
   
    BANKSEL PORTB
    movlw   b'10000000'
    movwf   PORTB
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
    LedOutInd  B6_B7_reg,Bx_dir,7  
    LedOutInd  B6_B5_reg,Bx_dir,5
    LedOutInd  B6_B4_reg,Bx_dir,4
;    LedOutInd  B6_B3_reg,Bx_dir,3
    bsf     Bx_dir,  3
    LedOutInd  B6_B2_reg,Bx_dir,2

    LedOutInd  A1_A5_reg,Ax_dir,5 
;    LedOutInd  A1_A4_reg,Ax_dir,4
    bsf     Ax_dir,  4
    LedOutInd  A1_A3_reg,Ax_dir,3
    LedOutInd  A1_A2_reg,Ax_dir,2
    LedOutInd  A1_A0_reg,Ax_dir,0

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB

    BANKSEL PORTB
    movlw   b'01000000'
    movwf   PORTB
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
    LedOutInd  B5_B7_reg,Bx_dir,7 
    LedOutInd  B5_B6_reg,Bx_dir,6
    LedOutInd  B5_B4_reg,Bx_dir,4
    LedOutInd  B5_B3_reg,Bx_dir,3
;    LedOutInd  B5_B2_reg,Bx_dir,2
    bsf     Bx_dir,  2

;    LedOutInd  A2_A5_reg,Ax_dir,5
    bsf     Ax_dir,  5
    LedOutInd  A2_A4_reg,Ax_dir,4
    LedOutInd  A2_A3_reg,Ax_dir,3
    LedOutInd  A2_A1_reg,Ax_dir,1
    LedOutInd  A2_A0_reg,Ax_dir,0

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB

    BANKSEL PORTB
    movlw   b'00100000'
    movwf   PORTB
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------

;    LedOutInd  B4_B7_reg,Bx_dir,7 
    bsf     Bx_dir,  7 
    LedOutInd  B4_B6_reg,Bx_dir,6
    LedOutInd  B4_B5_reg,Bx_dir,5
    LedOutInd  B4_B3_reg,Bx_dir,3
    LedOutInd  B4_B2_reg,Bx_dir,2

    LedOutInd  A3_A5_reg,Ax_dir,5  
    LedOutInd  A3_A4_reg,Ax_dir,4
    LedOutInd  A3_A2_reg,Ax_dir,2
    LedOutInd  A3_A1_reg,Ax_dir,1
;    LedOutInd  A3_A0_reg,Ax_dir,0
    bsf     Ax_dir,  0

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB

    BANKSEL PORTB
    movlw   b'00010000'
    movwf   PORTB
    movlw   b'00001000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    return   

;--------------------------------------------------------------------------------------
display_cycle4
;--------------------------------------------------------------------------------------

    LedOutInd  B3_B7_reg,Bx_dir,7  
;    LedOutInd  B3_B6_reg,Bx_dir,6
    bsf     Bx_dir,  6 
    LedOutInd  B3_B5_reg,Bx_dir,5
    LedOutInd  B3_B4_reg,Bx_dir,4
    LedOutInd  B3_B2_reg,Bx_dir,2

    LedOutInd  A4_A5_reg,Ax_dir,5  
    LedOutInd  A4_A3_reg,Ax_dir,3
    LedOutInd  A4_A2_reg,Ax_dir,2
;    LedOutInd  A4_A1_reg,Ax_dir,1
    bsf     Ax_dir,  1
    LedOutInd  A4_A0_reg,Ax_dir,0

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB

    BANKSEL PORTB
    movlw   b'00001000'
    movwf   PORTB
    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle4

    return


;--------------------------------------------------------------------------------------
display_cycle5
;--------------------------------------------------------------------------------------

    LedOutInd  B2_B7_reg,Bx_dir,7  
    LedOutInd  B2_B6_reg,Bx_dir,6
;    LedOutInd  B2_B5_reg,Bx_dir,5
    bsf     Bx_dir,  5
    LedOutInd  B2_B4_reg,Bx_dir,4
    LedOutInd  B2_B3_reg,Bx_dir,3

    LedOutInd  A5_A4_reg,Ax_dir,4
    LedOutInd  A5_A3_reg,Ax_dir,3
;    LedOutInd  A5_A2_reg,Ax_dir,2
    bsf     Ax_dir,  2
    LedOutInd  A5_A1_reg,Ax_dir,1
    LedOutInd  A5_A0_reg,Ax_dir,0    

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
    movf    Bx_dir,w      ;set portA direction
    movwf   TRISB

    BANKSEL PORTB
    movlw   b'00000100'
    movwf   PORTB
    movlw   b'00100000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle5

    return
