;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------
    LedOut  A0_A1_reg,Ax_dir,1    ;LED A0-A1  
    LedOut  A0_A2_reg,Ax_dir,2    ;LED A0-A2
    LedOut  A0_A4_reg,Ax_dir,4    ;LED A0-A4
    LedOut  A0_A5_reg,Ax_dir,5    ;LED A0-A5

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    BANKSEL PORTA
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
    LedOut  A1_A0_reg,Ax_dir,0    ;LED A1-A0
    LedOut  A1_A2_reg,Ax_dir,2    ;LED A1-A2
    LedOut  A1_A4_reg,Ax_dir,4    ;LED A1-A4
    LedOut  A1_A5_reg,Ax_dir,5    ;LED A1-A5

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    BANKSEL PORTA
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
    LedOut  A2_A0_reg,Ax_dir,0    ;LED A2-A0
    LedOut  A2_A1_reg,Ax_dir,1    ;LED A2-A1
    LedOut  A2_A4_reg,Ax_dir,4    ;LED A2-A4
    LedOut  A2_A5_reg,Ax_dir,5    ;LED A2-A5

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    BANKSEL PORTA
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------

    LedOut  A4_A0_reg,Ax_dir,0    ;LED     A4-A0
    LedOut  A4_A1_reg,Ax_dir,1    ;LED     A4-A1
    LedOut  A4_A2_reg,Ax_dir,2    ;LED     A4-A2
    LedOut  A4_A5_reg,Ax_dir,5    ;LED     A4-A5

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    BANKSEL PORTA
    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    return

;--------------------------------------------------------------------------------------
display_cycle4
;--------------------------------------------------------------------------------------
    LedOut  A5_A0_reg,Ax_dir,0    ;LED A5-A0
    LedOut  A5_A1_reg,Ax_dir,1    ;LED A5-A1
    LedOut  A5_A2_reg,Ax_dir,2    ;LED A5-A2
    LedOut  A5_A4_reg,Ax_dir,4    ;LED A5-A4

    BANKSEL TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    BANKSEL PORTA
    movlw   b'00100000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle4

    return

