
;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------

;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00000000'
    MOVWF PORTC

display_cycle0l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G00 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_G80 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle0l

    return


;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------

;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00000001'
    MOVWF PORTC  

display_cycle1l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R00 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_R80 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle1l

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00100000'
    MOVWF PORTC  

display_cycle2l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G10 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_G90 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle2l

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00100001'
    MOVWF PORTC  

display_cycle3l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R10 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_R90 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle3l

    return

;--------------------------------------------------------------------------------------
display_cycle4
;-------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01000000'
    MOVWF PORTC
  
display_cycle4l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G20 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GA0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle4l

    return

;--------------------------------------------------------------------------------------
display_cycle5
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01000001'
    MOVWF PORTC  

display_cycle5l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R20 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RA0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle5l

    return

;--------------------------------------------------------------------------------------
display_cycle6
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01100000'
    MOVWF PORTC  

display_cycle6l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G30 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GB0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle6l

    return

;--------------------------------------------------------------------------------------
display_cycle7
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01100001'
    MOVWF PORTC  

display_cycle7l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R30 & 0xff)
    movwf  FSR
    bcf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RB0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle7l

    return

;--------------------------------------------------------------------------------------
display_cycle8
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10000000'
    MOVWF PORTC  

display_cycle8l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G40 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GC0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle8l

    return

;--------------------------------------------------------------------------------------
display_cycle9
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10000001'
    MOVWF PORTC  

display_cycle9l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R40 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RC0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle9l

    return

;--------------------------------------------------------------------------------------
display_cycle10
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10100000'
    MOVWF PORTC  

display_cycle10l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G50 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GD0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle10l

    return

;--------------------------------------------------------------------------------------
display_cycle11
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10100001'
    MOVWF PORTC  

display_cycle11l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R50 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RD0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle11l

    return

;--------------------------------------------------------------------------------------
display_cycle12
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11000000'
    MOVWF PORTC  

display_cycle12l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G60 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GE0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle12l

    return

;--------------------------------------------------------------------------------------
display_cycle13
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11000001'
    MOVWF PORTC  

display_cycle13l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R60 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RE0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle13l

    return

;--------------------------------------------------------------------------------------
display_cycle14
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11100000'
    MOVWF PORTC  

display_cycle14l

;    B0-7, A0-7 is row data
    
    movlw  (Led_G70 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_GF0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle14l

    return

;--------------------------------------------------------------------------------------
display_cycle15
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11100001'
    MOVWF PORTC  

display_cycle15l

;    B0-7, A0-7 is row data
    
    movlw  (Led_R70 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_B

    movlw  (Led_RF0 & 0xff)
    movwf  FSR
    bsf    STATUS,IRP

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle15l

    return


;--------------------------------------------------------------------------------------
common_strobe_A
;--------------------------------------------------------------------------------------

    clrf    PORTA


    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   0

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   1

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   2

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   3

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   4

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   5

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   6

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTA,   7

    return

;--------------------------------------------------------------------------------------
common_strobe_B
;--------------------------------------------------------------------------------------

    clrf    PORTB

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   0

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   1

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   2

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   3

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   4

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   5

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   6

    incf    FSR,f

    movfw   TMR0
    subwf   INDF,w
    btfsc   STATUS,C
    bsf     PORTB,   7

    return

