;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  A2_C0_reg,Cx_dir,0    ;LED A2-C0
    LedOutInd  A2_C1_reg,Cx_dir,1    ;LED A2-C1
    LedOutInd  A2_C2_reg,Cx_dir,2    ;LED A2-C2
    LedOutInd  A2_C3_reg,Cx_dir,3    ;LED A2-C3
    LedOutInd  A2_C4_reg,Cx_dir,4    ;LED A2-C4
    LedOutInd  A2_C5_reg,Cx_dir,5    ;LED A2-C5
#else
    LedOutInd  C0_A2_reg,Cx_dir,0    ;LED C0-A4
    LedOutInd  C1_A2_reg,Cx_dir,1    ;LED C1-A4
    LedOutInd  C2_A2_reg,Cx_dir,2    ;LED C2-A2
    LedOutInd  C3_A2_reg,Cx_dir,3    ;LED C3-A2
    LedOutInd  C4_A2_reg,Cx_dir,4    ;LED C4-A2
    LedOutInd  C5_A2_reg,Cx_dir,5    ;LED C5-A2  
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    setbank0

    movlw   b'00000100'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C0_A2_reg,Ax_dir,2    ;LED C0-A4
    LedOutInd  C0_C1_reg,Cx_dir,1    ;LED C0-C1
    LedOutInd  C0_C2_reg,Cx_dir,2    ;LED C0-C2
    LedOutInd  C0_C3_reg,Cx_dir,3    ;LED C0-C3
    LedOutInd  C0_C4_reg,Cx_dir,4    ;LED C0-C4
    LedOutInd  C0_C5_reg,Cx_dir,5    ;LED C0-C5
#else
    LedOutInd  A2_C0_reg,Ax_dir,2    ;LED C0-A4
    LedOutInd  C1_C0_reg,Cx_dir,1    ;LED C0-C1
    LedOutInd  C2_C0_reg,Cx_dir,2    ;LED C0-C2
    LedOutInd  C3_C0_reg,Cx_dir,3    ;LED C0-C3
    LedOutInd  C4_C0_reg,Cx_dir,4    ;LED C0-C4
    LedOutInd  C5_C0_reg,Cx_dir,5    ;LED C0-C5
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000001'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C1_A2_reg,Ax_dir,2    ;LED C1-A4
    LedOutInd  C1_C0_reg,Cx_dir,0    ;LED C1-C0
    LedOutInd  C1_C2_reg,Cx_dir,2    ;LED C1-C2
    LedOutInd  C1_C3_reg,Cx_dir,3    ;LED C1-C3
    LedOutInd  C1_C4_reg,Cx_dir,4    ;LED C1-C4
    LedOutInd  C1_C5_reg,Cx_dir,5    ;LED C1-C5
#else
    LedOutInd  A2_C1_reg,Ax_dir,2    ;LED C1-A4
    LedOutInd  C0_C1_reg,Cx_dir,0    ;LED C1-C0
    LedOutInd  C2_C1_reg,Cx_dir,2    ;LED C1-C2
    LedOutInd  C3_C1_reg,Cx_dir,3    ;LED C1-C3
    LedOutInd  C4_C1_reg,Cx_dir,4    ;LED C1-C4
    LedOutInd  C5_C1_reg,Cx_dir,5    ;LED C1-C5
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000010'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C2_A2_reg,Ax_dir,2    ;LED C2-A2
    LedOutInd  C2_C0_reg,Cx_dir,0    ;LED C2-C0
    LedOutInd  C2_C1_reg,Cx_dir,1    ;LED C2-C1
    LedOutInd  C2_C3_reg,Cx_dir,3    ;LED C2-C3
    LedOutInd  C2_C4_reg,Cx_dir,4    ;LED C2-C4
    LedOutInd  C2_C5_reg,Cx_dir,5    ;LED C2-C5
#else
    LedOutInd  A2_C2_reg,Ax_dir,2    ;LED C2-A2
    LedOutInd  C0_C2_reg,Cx_dir,0    ;LED C2-C0
    LedOutInd  C1_C2_reg,Cx_dir,1    ;LED C2-C1
    LedOutInd  C3_C2_reg,Cx_dir,3    ;LED C2-C3
    LedOutInd  C4_C2_reg,Cx_dir,4    ;LED C2-C4
    LedOutInd  C5_C2_reg,Cx_dir,5    ;LED C2-C5
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000100'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle3

    return

;--------------------------------------------------------------------------------------
display_cycle4
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C3_A2_reg,Ax_dir,2    ;LED C3-A2  
    LedOutInd  C3_C0_reg,Cx_dir,0    ;LED C3-C0
    LedOutInd  C3_C1_reg,Cx_dir,1    ;LED C3-C1
    LedOutInd  C3_C2_reg,Cx_dir,2    ;LED C3-C2
    LedOutInd  C3_C4_reg,Cx_dir,4    ;LED C3-C4
    LedOutInd  C3_C5_reg,Cx_dir,5    ;LED C3-C5
#else
    LedOutInd  A2_C3_reg,Ax_dir,2    ;LED C3-A2  
    LedOutInd  C0_C3_reg,Cx_dir,0    ;LED C3-C0
    LedOutInd  C1_C3_reg,Cx_dir,1    ;LED C3-C1
    LedOutInd  C2_C3_reg,Cx_dir,2    ;LED C3-C2
    LedOutInd  C4_C3_reg,Cx_dir,4    ;LED C3-C4
    LedOutInd  C5_C3_reg,Cx_dir,5    ;LED C3-C5
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00001000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle4

    return

;--------------------------------------------------------------------------------------
display_cycle5
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C4_A2_reg,Ax_dir,2    ;LED C4-A2
    LedOutInd  C4_C0_reg,Cx_dir,0    ;LED C4-C0
    LedOutInd  C4_C1_reg,Cx_dir,1    ;LED C4-C1
    LedOutInd  C4_C2_reg,Cx_dir,2    ;LED C4-C2
    LedOutInd  C4_C3_reg,Cx_dir,3    ;LED C4-C3
    LedOutInd  C4_C5_reg,Cx_dir,5    ;LED C4-C5
#else
    LedOutInd  A2_C4_reg,Ax_dir,2    ;LED C4-A2
    LedOutInd  C0_C4_reg,Cx_dir,0    ;LED C4-C0
    LedOutInd  C1_C4_reg,Cx_dir,1    ;LED C4-C1
    LedOutInd  C2_C4_reg,Cx_dir,2    ;LED C4-C2
    LedOutInd  C3_C4_reg,Cx_dir,3    ;LED C4-C3
    LedOutInd  C5_C4_reg,Cx_dir,5    ;LED C4-C5
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00010000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle5

    return

;--------------------------------------------------------------------------------------
display_cycle6
;--------------------------------------------------------------------------------------
#ifdef Common_Cathode
    LedOutInd  C5_A2_reg,Ax_dir,2    ;LED C5-A2  
    LedOutInd  C5_C0_reg,Cx_dir,0    ;LED C5-C0
    LedOutInd  C5_C1_reg,Cx_dir,1    ;LED C5-C1
    LedOutInd  C5_C2_reg,Cx_dir,2    ;LED C5-C2
    LedOutInd  C5_C3_reg,Cx_dir,3    ;LED C5-C3
    LedOutInd  C5_C4_reg,Cx_dir,4    ;LED C5-C4
#else
    LedOutInd  A2_C5_reg,Ax_dir,2    ;LED C5-A2  
    LedOutInd  C0_C5_reg,Cx_dir,0    ;LED C5-C0
    LedOutInd  C1_C5_reg,Cx_dir,1    ;LED C5-C1
    LedOutInd  C2_C5_reg,Cx_dir,2    ;LED C5-C2
    LedOutInd  C3_C5_reg,Cx_dir,3    ;LED C5-C3
    LedOutInd  C4_C5_reg,Cx_dir,4    ;LED C5-C4
#endif
    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00100000'
    movwf   PORTC

    decfsz  fcount,f
    goto    display_cycle6

    return
