;**********************************************************************
display_1bit ; 20 LEDs
;
;  ++++++++ +++++++-------- 
;                    +++--- 
;  11111111 11111111 1111xxxx
;
;**********************************************************************

    movwf        speed              ;w has the speed/delay

; +++------------------------ RGB 1
; |||+++--------------------- RGB 2
; ||||||++-+----------------- RGB 3
; |||||||| |+++-------------- RGB 4
; |||||||| ||||+++----------- RGB 5
; |||||||| |||||||+-++------- RGB 6
; |||||||| |||||||| ||++++++- Delay
; AAABBBCC CDDDEEEE EEEFGGGG


    clrf         A2_A1_reg        ; 1st RGB Red
    btfsc        in0,7
    comf         A2_A1_reg,f 

    clrf         A2_C2_reg        ; 1st RGB Green
    btfsc        in0,6
    comf         A2_C2_reg,f

    clrf         A2_A0_reg        ; 1st RGB Blue
    btfsc        in0,5
    comf         A2_A0_reg,f

    clrf         A2_C0_reg
;    comf         A2_C0_reg,f
    clrf         A2_C1_reg
;    comf         A2_C1_reg,f

    clrf         A0_C2_reg        ; 2nd RGB Red
    btfsc        in0,4
    comf         A0_C2_reg,f

    clrf         A0_C1_reg        ; 2nd RGB Green
    btfsc        in0,3
    comf         A0_C1_reg,f

    clrf         A0_A1_reg        ; 2nd RGB Blue
    btfsc        in0,2
    comf         A0_A1_reg,f

    clrf         A0_A2_reg
    clrf         A0_C0_reg
 
    clrf         A1_C1_reg        ; 3rd RGB Red
    btfsc        in0,1
    comf         A1_C1_reg,f

    clrf         A1_C0_reg        ; 3rd RGB Green
    btfsc        in0,0
    comf         A1_C0_reg,f

    clrf         A1_C2_reg        ; 3rd RGB Blue
    btfsc        in1,7
    comf         A1_C2_reg,f

    clrf         A1_A0_reg
    clrf         A1_A2_reg
 
    clrf         C2_C0_reg        ; 4th RGB Red
    btfsc        in1,6
    comf         C2_C0_reg,f

    clrf         C2_A2_reg        ; 4th RGB Green
    btfsc        in1,5
    comf         C2_A2_reg,f

    clrf         C2_C1_reg        ; 4th RGB Blue
    btfsc        in1,4
    comf         C2_C1_reg,f

    clrf         C2_A0_reg
    clrf         C2_A1_reg
 
    clrf         C1_A2_reg        ; 5th RGB Red
    btfsc        in1,3
    comf         C1_A2_reg,f

    clrf         C1_A0_reg        ; 5th RGB Green
    btfsc        in1,2
    comf         C1_A0_reg,f

    clrf         C1_C0_reg        ; 5th RGB Blue
    btfsc        in1,1
    comf         C1_C0_reg,f

    clrf         C1_A1_reg
    clrf         C1_C2_reg
 
    clrf         C0_A0_reg        ; 6th RGB Red
    btfsc        in1,0
    comf         C0_A0_reg,f

    clrf         C0_A1_reg        ; 6th RGB Green
    btfsc        in2,7
    comf         C0_A1_reg,f

    clrf         C0_A2_reg        ; 6th RGB Blue
    btfsc        in2,6
    comf         C0_A2_reg,f

    clrf         C0_C1_reg
    clrf         C0_C2_reg
 
    movf         speed,w
    call         strobe_delay

    return

