;    list p=12f683,b=4,n=0   ; declare processor, tabs, and lines/page
    
;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
display_1bit ;  2 x 12 Circle LEDs 48 LEDs
;**********************************************************************

    movwf        speed              ;w has the speed/delay


#ifndef SINGLE
   movlw        A3_A4_reg ; R1
   movwf        FSR
   clrf         INDF0
   btfsc        in3,7
   comf         INDF0,f

   movlw        A4_A5_reg ; R2
   movwf        FSR
   clrf         INDF0
   btfsc        in3,6
   comf         INDF0,f

   movlw        A3_A5_reg ; R3
   movwf        FSR
   clrf         INDF0
   btfsc        in3,5
   comf         INDF0,f

   movlw        A2_A4_reg ; R4
   movwf        FSR
   clrf         INDF0
   btfsc        in3,4
   comf         INDF0,f

   movlw        A2_A3_reg ; R5
   movwf        FSR
   clrf         INDF0
   btfsc        in3,3
   comf         INDF0,f

   movlw        A0_A4_reg ; R6
   movwf        FSR
   clrf         INDF0
   btfsc        in3,2
   comf         INDF0,f

   movlw        A0_A5_reg ; R7
   movwf        FSR
   clrf         INDF0
   btfsc        in3,1
   comf         INDF0,f

   movlw        A1_A5_reg ; R8
   movwf        FSR
   clrf         INDF0
   btfsc        in3,0
   comf         INDF0,f

   movlw        A1_A3_reg ; R9
   movwf        FSR
   clrf         INDF0
   btfsc        in4,7
   comf         INDF0,f

   movlw        A1_A2_reg ; R10
   movwf        FSR
   clrf         INDF0
   btfsc        in4,6
   comf         INDF0,f

   movlw        A0_A2_reg ; R11
   movwf        FSR
   clrf         INDF0
   btfsc        in4,5
   comf         INDF0,f

   movlw        A0_A1_reg ; R12
   movwf        FSR
   clrf         INDF0
   btfsc        in4,4
   comf         INDF0,f

;   movlw        A3_A0_reg ;
;   movwf        FSR
;   clrf         INDF

;   movlw        A4_A1_reg ;
;   movwf        FSR
;   clrf         INDF

;   movlw        A5_A2_reg ;
;   movwf        FSR
;   clrf         INDF

;   movlw        A0_A3_reg ;
;   movwf        FSR
;   clrf         INDF

;   movlw        A1_A4_reg ;
;   movwf        FSR
;   clrf         INDF

;   movlw        A2_A5_reg ;
;   movwf        FSR
;   clrf         INDF


#ifndef MONO
   movlw        A4_A3_reg ; G1
   movwf        FSR
   clrf         INDF0
   btfsc        in4,3
   comf         INDF0,f

   movlw        A5_A4_reg ; G2
   movwf        FSR
   clrf         INDF0
   btfsc        in4,2
   comf         INDF0,f

   movlw        A5_A3_reg ; G3
   movwf        FSR
   clrf         INDF0
   btfsc        in4,1
   comf         INDF0,f

   movlw        A4_A2_reg ; G4
   movwf        FSR
   clrf         INDF0
   btfsc        in4,0
   comf         INDF0,f

   movlw        A3_A2_reg ; G5
   movwf        FSR
   clrf         INDF0
   btfsc        in5,7
   comf         INDF0,f

   movlw        A4_A0_reg ; G6
   movwf        FSR
   clrf         INDF0
   btfsc        in5,6
   comf         INDF0,f

   movlw        A5_A0_reg ; G7
   movwf        FSR
   clrf         INDF0
   btfsc        in5,5
   comf         INDF0,f

   movlw        A5_A1_reg ; G8
   movwf        FSR
   clrf         INDF0
   btfsc        in5,4
   comf         INDF0,f

   movlw        A3_A1_reg ; G9
   movwf        FSR
   clrf         INDF0
   btfsc        in5,3
   comf         INDF0,f

   movlw        A2_A1_reg ; G10
   movwf        FSR
   clrf         INDF0
   btfsc        in5,2
   comf         INDF0,f

   movlw        A2_A0_reg ; G11
   movwf        FSR
   clrf         INDF0
   btfsc        in5,1
   comf         INDF0,f

   movlw        A1_A0_reg ; G12
   movwf        FSR
   clrf         INDF0
   btfsc        in5,0
   comf         INDF0,f

#endif
#endif

   movlw        B2_B7_reg ; R1
   movwf        FSR
   clrf         INDF0
   btfsc        in0,7
   comf         INDF0,f

   movlw        B3_B7_reg ; R2
   movwf        FSR
   clrf         INDF0
   btfsc        in0,6
   comf         INDF0,f

   movlw        B3_B5_reg ; R3
   movwf        FSR
   clrf         INDF0
   btfsc        in0,5
   comf         INDF0,f

   movlw        B3_B4_reg ; R4
   movwf        FSR
   clrf         INDF0
   btfsc        in0,4
   comf         INDF0,f

   movlw        B2_B4_reg ; R5
   movwf        FSR
   clrf         INDF0
   btfsc        in0,3
   comf         INDF0,f

   movlw        B2_B3_reg ; R6
   movwf        FSR
   clrf         INDF0
   btfsc        in0,2
   comf         INDF0,f

   movlw        B5_B6_reg ; R7
   movwf        FSR
   clrf         INDF0
   btfsc        in0,1
   comf         INDF0,f

   movlw        B6_B7_reg ; R8
   movwf        FSR
   clrf         INDF0
   btfsc        in0,0
   comf         INDF0,f

   movlw        B5_B7_reg ; R9
   movwf        FSR
   clrf         INDF0
   btfsc        in1,7
   comf         INDF0,f

   movlw        B4_B6_reg ; R10
   movwf        FSR
   clrf         INDF0
   btfsc        in1,6
   comf         INDF0,f

   movlw        B4_B5_reg ; R11
   movwf        FSR
   clrf         INDF0
   btfsc        in1,5
   comf         INDF0,f

   movlw        B2_B6_reg ; R12
   movwf        FSR
   clrf         INDF0
   btfsc        in1,4
   comf         INDF0,f

;   movlw        B4_B7_reg
;   movwf        FSR
;   clrf         INDF

;   movlw        B3_B6_reg
;   movwf        FSR
;   clrf         INDF

;   movlw        B2_B5_reg
;   movwf        FSR
;   clrf         INDF

;   movlw        B7_B4_reg
;   movwf        FSR
;   clrf         INDF

;   movlw        B6_B3_reg
;   movwf        FSR
;   clrf         INDF

;   movlw        B5_B2_reg
;   movwf        FSR
;   clrf         INDF

#ifndef MONO
   movlw        B7_B2_reg ; G1
   movwf        FSR
   clrf         INDF0
   btfsc        in1,3
   comf         INDF0,f

   movlw        B7_B3_reg ; G2
   movwf        FSR
   clrf         INDF0
   btfsc        in1,2
   comf         INDF0,f

   movlw        B5_B3_reg ; G3
   movwf        FSR
   clrf         INDF0
   btfsc        in1,1
   comf         INDF0,f

   movlw        B4_B3_reg ; G4
   movwf        FSR
   clrf         INDF0
   btfsc        in1,0
   comf         INDF0,f

   movlw        B4_B2_reg ; G5
   movwf        FSR
   clrf         INDF0
   btfsc        in2,7
   comf         INDF0,f

   movlw        B3_B2_reg ; G6
   movwf        FSR
   clrf         INDF0
   btfsc        in2,6
   comf         INDF0,f

   movlw        B6_B5_reg ; G7
   movwf        FSR
   clrf         INDF0
   btfsc        in2,5
   comf         INDF0,f

   movlw        B7_B6_reg ; G8
   movwf        FSR
   clrf         INDF0
   btfsc        in2,4
   comf         INDF0,f

   movlw        B7_B5_reg ; G9
   movwf        FSR
   clrf         INDF0
   btfsc        in2,3
   comf         INDF0,f

   movlw        B6_B4_reg ; G10
   movwf        FSR
   clrf         INDF0
   btfsc        in2,2
   comf         INDF0,f

   movlw        B5_B4_reg ; G11
   movwf        FSR
   clrf         INDF0
   btfsc        in2,1
   comf         INDF0,f

   movlw        B6_B2_reg ; G12
   movwf        FSR
   clrf         INDF0
   btfsc        in2,0
   comf         INDF0,f
#endif

    movf         speed,w
    call         strobe_delay

    return

