;**********************************************************************
display_2bit
;**********************************************************************
    movf    speed,w             ;enter here if repeat count is in speed
display_w_2bit                      ;enter here if repeat count is in W reg

; 76543210 <-- bits
; AABBCCDD <-- LEDs
; 01010101 <-- stays on for 1 unit  - b'01'
; 10101010 <-- stays on for 2 units - b'10'
; 11111111 <-- stays on for 3 units - b'11'

; in0 LEDs 1,2,3,4
; in1 LEDs 5,6,C


	clrf		 Ar_reg
    movlw        BRIGHT1
    btfsc        in0,6
    addwf        Ar_reg,f
    movlw        BRIGHT2
    btfsc        in0,7
    addwf        Ar_reg,f
 
	clrf	 	 Ag_reg
    movlw        BRIGHT1
    btfsc        in0,2
    addwf        Ag_reg,f
    movlw        BRIGHT2
    btfsc        in0,3
    addwf        Ag_reg,f

	clrf		 Ab_reg
    movlw        BRIGHT1
    btfsc        in1,6
    addwf        Ab_reg,f
    movlw        BRIGHT2
    btfsc        in1,7
    addwf        Ab_reg,f

	clrf		 Cr_reg
    movlw        BRIGHT1
    btfsc        in0,4
    addwf        Cr_reg,f
    movlw        BRIGHT2
    btfsc        in0,5
    addwf        Cr_reg,f
 
	clrf	 	 Cg_reg
    movlw        BRIGHT1
    btfsc        in0,0
    addwf        Cg_reg,f
    movlw        BRIGHT2
    btfsc        in0,1
    addwf        Cg_reg,f

	clrf		 Cb_reg
    movlw        BRIGHT1
    btfsc        in1,4
    addwf        Cb_reg,f
    movlw        BRIGHT2
    btfsc        in1,5
    addwf        Cb_reg,f 

#ifdef BADGE
	clrf		 Center_reg
    movlw        BRIGHT1
    btfsc        in1,2
    addwf        Center_reg,f
    movlw        BRIGHT2
    btfsc        in1,3
    addwf        Center_reg,f 
#endif

    movf         speed,w
    call         strobe_delay
    movf         speed,w
    call         strobe_delay
    movf         speed,w
    call         strobe_delay

    return

