;    list p=12f683,b=4,n=0   ; declare processor, tabs, and lines/page
    
;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
display_2bit ; 19 Circle LEDs (38 LEDs)
;**********************************************************************

    movwf        speed              ;w has the speed/delay

	clrf		 A1_A2_reg        ; 1
	clrf		 A1_C0_reg        ; 2
	clrf		 A2_C0_reg        ; 3
	clrf	 	 A2_C1_reg        ; 4
	clrf		 C0_C1_reg        ; 5
	clrf		 C0_C2_reg        ; 6
	clrf		 C0_C4_reg        ; 7
	clrf		 C1_C4_reg        ; 8
	clrf		 A0_C1_reg        ; 9
	clrf		 A0_C0_reg        ; 10
	clrf		 A0_A2_reg        ; 11
	clrf		 A0_A1_reg        ; 12
	clrf		 A1_C2_reg        ; 13
	clrf	 	 A1_C1_reg        ; 14
	clrf		 A2_C2_reg        ; 15
	clrf		 A2_C4_reg        ; 16
	clrf		 A0_C4_reg        ; 17
	clrf		 A0_C2_reg        ; 18
	clrf		 A1_C4_reg        ; 19
 	clrf		 C1_C2_reg        ; no LED
	clrf		 C2_C4_reg        ; no LED

    movlw        BRIGHT1L
    btfsc        in0,7                    ; 1R (high bit)
	addwf		 A1_A2_reg,f
    movlw        BRIGHT2L
    btfsc        in0,6                    ; 1R (low bit)
	addwf		 A1_A2_reg,f


    movlw        BRIGHT1L
    btfsc        in0,5                    ; 2R (high bit)
	addwf		 A1_C0_reg,f
    movlw        BRIGHT2L
    btfsc        in0,4                    ; 2R (low bit)
	addwf		 A1_C0_reg,f

    movlw        BRIGHT1L
    btfsc        in0,3                    ; 3R (high bit)
	addwf		 A2_C0_reg,f
    movlw        BRIGHT2L
    btfsc        in0,2                    ; 3R (low bit)
	addwf		 A2_C0_reg,f

    movlw        BRIGHT1L
    btfsc        in0,1                    ; 4R (high bit)
	addwf		 A2_C1_reg,f
    movlw        BRIGHT2L
    btfsc        in0,0                    ; 4R (low bit)
	addwf		 A2_C1_reg,f

    movlw        BRIGHT1L
    btfsc        in1,7                    ; 5R (high bit)
	addwf		 C0_C1_reg,f
    movlw        BRIGHT2L
    btfsc        in1,6                    ; 5R (low bit)
	addwf		 C0_C1_reg,f

    movlw        BRIGHT1L
    btfsc        in1,5                    ; 6R (high bit)
	addwf		 C0_C2_reg,f
    movlw        BRIGHT2L
    btfsc        in1,4                    ; 6R (low bit)
	addwf		 C0_C2_reg,f

    movlw        BRIGHT1L
    btfsc        in1,3                    ; 7R (high bit)
	addwf		 C0_C4_reg,f
    movlw        BRIGHT2L
    btfsc        in1,2                    ; 7R (low bit)
	addwf		 C0_C4_reg,f

    movlw        BRIGHT1L
    btfsc        in1,1                    ; 8R (high bit)
	addwf		 C1_C4_reg,f
    movlw        BRIGHT2L
    btfsc        in1,0                    ; 8R (low bit)
	addwf		 C1_C4_reg,f

    movlw        BRIGHT1L
    btfsc        in2,7                    ; 9R (high bit)
	addwf		 A0_C1_reg,f
    movlw        BRIGHT2L
    btfsc        in2,6                    ; 9R (low bit)
	addwf		 A0_C1_reg,f

    movlw        BRIGHT1L
    btfsc        in2,5                    ; 10R (high bit)
	addwf		 A0_C0_reg,f
    movlw        BRIGHT2L
    btfsc        in2,4                    ; 10R (low bit)
	addwf		 A0_C0_reg,f

    movlw        BRIGHT1L
    btfsc        in2,3                    ; 11R (high bit)
	addwf		 A0_A2_reg,f
    movlw        BRIGHT2L
    btfsc        in2,2                    ; 11R (low bit)
	addwf		 A0_A2_reg,f

    movlw        BRIGHT1L
    btfsc        in2,1                    ; 12R (high bit)
	addwf		 A0_A1_reg,f
    movlw        BRIGHT2L
    btfsc        in2,0                    ; 12R (low bit)
	addwf		 A0_A1_reg,f

    movlw        BRIGHT1L
    btfsc        in3,7                    ; 13R (high bit)
	addwf		 A1_C2_reg,f
    movlw        BRIGHT2L
    btfsc        in3,6                    ; 13R (low bit)
	addwf		 A1_C2_reg,f

    movlw        BRIGHT1L
    btfsc        in3,5                    ; 14R (high bit)
	addwf		 A1_C1_reg,f 
    movlw        BRIGHT2L
    btfsc        in3,4                    ; 14R (low bit)
	addwf		 A1_C1_reg,f 

    movlw        BRIGHT1L
    btfsc        in3,3                    ; 15R (high bit)
	addwf		 A2_C2_reg,f
    movlw        BRIGHT2L
    btfsc        in3,2                    ; 15R (low bit)
	addwf		 A2_C2_reg,f

    movlw        BRIGHT1L
    btfsc        in3,1                    ; 16R (high bit)
	addwf		 A2_C4_reg,f
    movlw        BRIGHT2L
    btfsc        in3,0                    ; 16R (low bit)
	addwf		 A2_C4_reg,f

    movlw        BRIGHT1L
    btfsc        in4,7                    ; 17R (high bit)
	addwf		 A0_C4_reg,f
    movlw        BRIGHT2L
    btfsc        in4,6                    ; 17R (low bit)
	addwf		 A0_C4_reg,f

    movlw        BRIGHT1L
    btfsc        in4,5                    ; 18R (high bit)
	addwf		 A0_C2_reg,f
    movlw        BRIGHT2L
    btfsc        in4,4                    ; 18R (low bit)
	addwf		 A0_C2_reg,f

    movlw        BRIGHT1L
    btfsc        in4,3                    ; 19R (high bit)
	addwf		 A1_C4_reg,f
    movlw        BRIGHT2L
    btfsc        in4,2                    ; 19R (low bit)
	addwf		 A1_C4_reg,f
 
    movf         speed,w
    call         strobe_delay

    return

