;
; 3X3 mode selection logic
;
    var mode
#define MAX_MODE 3
	clrf         mode

    movfw        button      ; if no button go to pattern mode.
    btfsc        STATUS,Z
    goto         pattern_driver

mode_loop

;
;   Dsiplay the Mode in LEDs 7,8 and 9
;
    clrf         in0
    incf         mode,w
    movwf        b2l_in_green
    clrf         b2l_in_red
    call         bin2led
    movf         b2l_out_hi,w
    movwf        in1
    movf         b2l_out_low,w
    movwf        in2
    rrf          in1,f
    rrf          in2,f
    rrf          in1,f
    rrf          in2,f
    rrf          in1,f
    rrf          in2,f
    rrf          in1,f
    rrf          in2,f

    movlw   0xff
    call    display_1bit

    movlw   0xff
    call    display_1bit

    btfsc        button,0    ; if button 1 pressed inc pattern
    call         next_mode

    btfsc        button,1    ; if button 2 pressed dec pattern
    call         past_mode
;
;   missing bound check on up/down of pattern.
;
    btfsc        button,4    ; if button 5 try to exit
    goto         mode_loop2

    goto    mode_loop

mode_loop2

    movlw        0x00              ; mode=0
    subwf        mode,w
    btfsc        STATUS,Z
    goto         pattern_driver

    movlw        0x01              ; mode=1
    subwf        mode,w
    btfsc        STATUS,Z
    goto         IR_Tester


    movlw        0x02              ; mode=2
    subwf        mode,w
    btfsc        STATUS,Z
    goto         Dice

;    movlw        0x02              ; mode=3
;    subwf        mode,w
;    btfsc        STATUS,Z
;    goto         TicTacToe

     goto         mode_loop
#endif

#ifdef M3X3 
;**********************************************************************
next_mode
;**********************************************************************
    incf         mode,f
    movf         mode,w
    sublw        MAX_MODE  ; max pattern?
    btfsc        STATUS,2   ; z bit check
    clrf         mode    ; reset to zero
    return

;**********************************************************************
past_mode
;**********************************************************************
    decf         mode,f
    movf         mode,w
    addlw        1  ; max pattern?
    btfss        STATUS,2   ; z bit check
    goto         mode_past_exit
    movlw        MAX_MODE-1
    movwf        mode
mode_past_exit
    return


#endif

