;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
table_type_2
;**********************************************************************

    var          delay1
    var          fad
    var          color
    var          fad2

    incf         delay1,f

    movf         delay1,w         ; testing for 0
    btfss        STATUS,Z
    goto         cf_loop2

    movlw        TICK_VALUE     ; we are using timer0 for the counts, 0 through tick value is LED off.
    movwf        delay1 
   
;
;   select a pattern
;
    comf         fad,f
    movf         fad,w         ; testing for 0
    incf         color,f

cf_loop2
    movf        delay1,w         ; fading up
    btfsc       fad,0
	comf        delay1,w         ; dafinf down
    movwf       fad2

    movlw        0x03             ; greater then 3?
    subwf        color,w
    btfsc        STATUS,C
    clrf         color        


    movlw        0x00             ; testing for 0
    subwf        color,w
    btfss        STATUS,Z
    goto         next1

    movfw       fad2
    movwf		Ar_reg
 	movwf		Br_reg
	movwf		Cr_reg
	movwf		Dr_reg

next1
    movlw        0x01             ; testing for 1
    subwf        color,w
    btfss        STATUS,Z
    goto         next2

    movfw       fad2
    movwf		Ag_reg
 	movwf		Bg_reg
	movwf		Cg_reg
	movwf		Dg_reg

next2
    movlw        0x02             ; testing for 2
    subwf        color,w
    btfss        STATUS,Z
    goto         next3

    movfw       fad2
    movwf		Ab_reg
 	movwf		Bb_reg
	movwf		Cb_reg
	movwf		Db_reg

next3
    movfw       pspeed
    call        strobe_delay

    return

