;**********************************************************************
;   Copyright (C) 2005,2006,2007 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

;**********************************************************************
table_type_3
;**********************************************************************
;
;  2 bytes
;
;  RRRRGGGG BBBBCDDD
;
;  RRRR = bit of red LEDs to turn on
;  GGGG = bit of red LEDs to turn on
;  BBBB = bit of red LEDs to turn on
;  CDDD = a repeat counter.
;
;  For badge blinkies
;  C is 13th LED
;  DDD = is repeat count

    var p2count

    call         get_next_pattern_entry
    movwf        in0
  
    call         get_next_pattern_entry
    movwf        in1

#ifdef BADGE
    movlw        b'00000111'
#else
    movlw        b'00001111'
#endif
    andwf        in1,w
    movwf        p2count
    incf         p2count,f
    rlf          p2count,f
    rlf          p2count,f

p2loop
    movfw        pspeed
    call         display_1bit

    decfsz       p2count,f
    goto         p2loop

    return


