;**********************************************************************
table_type_25
;**********************************************************************
;
;
;   get the char
;   lookup char line count
;   loop char count
;      shift_left
;      load char line
;      display
;   endloop
;

    dupvar char_in, b2l_out_hi
    dupvar char_color, b2l_out_low
    dupvar tentry, b2l_lcount
    dupvar char_words, b2l_in_red
;
;  offset = chartabel + (char_in - 0x20) * 6 + char_offset
;  offset = chartabel + (char_in - 0x20) + ((char_in - 0x21) * 4) + char_offset <<1
;  offset = chartabel + (char_in - 0x20) + ((char_in - 0x21) <<2) + char_offset <<1
;  12 bit            12 bit      7 bit              9 bit                    4 bit

   call         get_next_pattern_entry

   movwf        char_in
   movf         char_in,f         ; test for zero

   movlw        0x20              ; color code?
   subwf        char_in,w
   
   btfsc        STATUS,C
   goto         skipt3

   movf         char_in,w         ; get color, then pull next entry
   movwf        char_color
   goto         p25_return

skipt3
; char_in = char_in - 0x20
   movlw        0x20              
   subwf        char_in,f        

; offset = chartabel
   movlw        LOW chartable     
   movwf        offset_low 
   movlw        HIGH chartable
   movwf        offset_hi

; offset = offset + char_in <<1
   movf         char_in,w
   bcf          STATUS, C         ; clear carry flag just in case
   rlf          char_in,w           
   addwf        offset_low, f
   btfsc        STATUS,C          ; check carry flag
   incf         offset_hi,f   

; char_in << 2 ; if carry offset_hi++         
   bcf          STATUS, C         ; clear carry flag just in case
   rlf          char_in, f
   rlf          char_in, f
   btfsc        STATUS,C          ; check carry flag
   incf         offset_hi,f 

; offset = offset + char_in
   movf         char_in,w           ; offset = offset + char_in
   addwf        offset_low, f
   btfsc        STATUS,C          ; check carry flag
   incf         offset_hi,f     

   bcf          INTCON, GIE      ; disable INTs
   call         jump_address
   movwf        char_words

   movf         pclath_save,w
   movwf        PCLATH
   bsf          INTCON, GIE      ; enable INTs

; offset = offset + 1
   movlw        1
   addwf        offset_low, f
   btfsc        STATUS,C          ; check carry flag
   incf         offset_hi,f

p25_looper

   bcf          INTCON, GIE      ; disable INTs
   call         jump_address
   movwf        tentry

   movf         pclath_save,w
   movwf        PCLATH
   bsf          INTCON, GIE      ; enable INTs

; -------------------
    call shift_left

    movf  tentry, w
    movwf in1f

    movf  tentry, w
    movwf inf

   btfss        char_color,0     ; color adjust
   clrf         in1f

   btfss        char_color,2
   clrf         inf

   btfsc        char_color,1     ; color adjust
   comf         in1f,f

   btfsc        char_color,3
   comf         inf,f
   
; ------------------

; offset = offset + 1
   movlw        1
   addwf        offset_low, f
   btfsc        STATUS,C          ; check carry flag
   incf         offset_hi,f

   movfw        pspeed           ; display
   call         display_1bit
   movfw        pspeed
   call         display_1bit
   movfw        pspeed
   call         display_1bit
   movfw        pspeed
   call         display_1bit

   decfsz       char_words,f
   goto         p25_looper

;  add a blank line after the char and display (spacing)    
   call shift_left
   clrf         in1f
   clrf         inf

   btfsc        char_color,1     ; color adjust
   comf         in1f,f

   btfsc        char_color,3
   comf        inf,f
;--

   movfw        pspeed           ; display
   call         display_1bit
   movfw        pspeed
   call         display_1bit
   movfw        pspeed
   call         display_1bit
   movfw        pspeed
   call         display_1bit

p25_return
   return

