;**********************************************************************
table_type_27 ; dual 12 circle fader
;**********************************************************************
    movfw        pspeed
    movwf        speed              ;w has the speed/delay
;
; going to break good coding rules for compact code, reorder or move
; the Led_xxx vars and you break the code!
;

    dupvar p27_loop, b2l_out_low


    PAGESEL      get_next_pattern_entry

    call         get_next_pattern_entry
    movwf        in0
  
    call         get_next_pattern_entry
    movwf        in1

    call         get_next_pattern_entry
    movwf        in2

    call         get_next_pattern_entry
    movwf        in3
  
    call         get_next_pattern_entry
    movwf        in4

    call         get_next_pattern_entry
    movwf        in5

    PAGESEL      table_type_27

;   hardcode count to 64
    movlw        0x64
    movwf        p27_loop

t27_loop2

#ifndef SINGLE
    movlw        A3_A4_reg ; R1
    movwf        FSR
    btfsc        in3,7
    call         p27_led_up
    btfss        in3,7
    call         p27_led_down

    movlw        A4_A5_reg ; R2
    movwf        FSR
    btfsc        in3,6
    call         p27_led_up
    btfss        in3,6
    call         p27_led_down

    movlw        A3_A5_reg ; R3
    movwf        FSR
    btfsc        in3,5
    call         p27_led_up
    btfss        in3,5
    call         p27_led_down

    movlw        A2_A4_reg ; R4
    movwf        FSR
    btfsc        in3,4
    call         p27_led_up
    btfss        in3,4
    call         p27_led_down

    movlw        A2_A3_reg ; R5
    movwf        FSR
    btfsc        in3,3
    call         p27_led_up
    btfss        in3,3
    call         p27_led_down

    movlw        A0_A4_reg ; R6
    movwf        FSR
    btfsc        in3,2
    call         p27_led_up
    btfss        in3,2
    call         p27_led_down

    movlw        A0_A5_reg ; R7
    movwf        FSR
    btfsc        in3,1
    call         p27_led_up
    btfss        in3,1
    call         p27_led_down

    movlw        A1_A5_reg ; R8
    movwf        FSR
    btfsc        in3,0
    call         p27_led_up
    btfss        in3,0
    call         p27_led_down

    movlw        A1_A3_reg ; R9
    movwf        FSR
    btfsc        in4,7
    call         p27_led_up
    btfss        in4,7
    call         p27_led_down

    movlw        A1_A2_reg ; R10
    movwf        FSR
    btfsc        in4,6
    call         p27_led_up
    btfss        in4,6
    call         p27_led_down

    movlw        A0_A2_reg ; R11
    movwf        FSR
    btfsc        in4,5
    call         p27_led_up
    btfss        in4,5
    call         p27_led_down

    movlw        A0_A1_reg ; R12
    movwf        FSR
    btfsc        in4,4
    call         p27_led_up
    btfss        in4,4
    call         p27_led_down
#ifndef MONO

    movlw        A4_A3_reg ; G1
    movwf        FSR
    btfsc        in4,3
    call         p27_led_up
    btfss        in4,3
    call         p27_led_down

    movlw        A5_A4_reg ; G2
    movwf        FSR
    btfsc        in4,2
    call         p27_led_up
    btfss        in4,2
    call         p27_led_down

    movlw        A5_A3_reg ; G3
    movwf        FSR
    btfsc        in4,1
    call         p27_led_up
    btfss        in4,1
    call         p27_led_down

    movlw        A4_A2_reg ; G4
    movwf        FSR
    btfsc        in4,0
    call         p27_led_up
    btfss        in4,0
    call         p27_led_down

    movlw        A3_A2_reg ; G5
    movwf        FSR
    btfsc        in5,7
    call         p27_led_up
    btfss        in5,7
    call         p27_led_down

    movlw        A4_A0_reg ; G6
    movwf        FSR
    btfsc        in5,6
    call         p27_led_up
    btfss        in5,6
    call         p27_led_down

    movlw        A5_A0_reg ; G7
    movwf        FSR
    btfsc        in5,5
    call         p27_led_up
    btfss        in5,5
    call         p27_led_down

    movlw        A5_A1_reg ; G8
    movwf        FSR
    btfsc        in5,4
    call         p27_led_up
    btfss        in5,4
    call         p27_led_down

    movlw        A3_A1_reg ; G9
    movwf        FSR
    btfsc        in5,3
    call         p27_led_up
    btfss        in5,3
    call         p27_led_down

    movlw        A2_A1_reg ; G10
    movwf        FSR
    btfsc        in5,2
    call         p27_led_up
    btfss        in5,2
    call         p27_led_down

    movlw        A2_A0_reg ; G11
    movwf        FSR
    btfsc        in5,1
    call         p27_led_up
    btfss        in5,1
    call         p27_led_down

    movlw        A1_A0_reg ; G12
    movwf        FSR
    btfsc        in5,0
    call         p27_led_up
    btfss        in5,0
    call         p27_led_down
#endif
#endif

;-----


;   A0_A3_reg ;
;   A1_A4_reg ;
;   A2_A5_reg ;
;   A3_A0_reg ;
;   A4_A1_reg ;
;   A5_A2_reg ;

;----
    movlw        B2_B7_reg ; R1
    movwf        FSR
    btfsc        in0,7
    call         p27_led_up
    btfss        in0,7
    call         p27_led_down

    movlw        B3_B7_reg ; R2
    movwf        FSR
    btfsc        in0,6
    call         p27_led_up
    btfss        in0,6
    call         p27_led_down

    movlw        B3_B5_reg ; R3
    movwf        FSR
    btfsc        in0,5
    call         p27_led_up
    btfss        in0,5
    call         p27_led_down

    movlw        B3_B4_reg ; R4
    movwf        FSR
    btfsc        in0,4
    call         p27_led_up
    btfss        in0,4
    call         p27_led_down

    movlw        B2_B4_reg ; R5
    movwf        FSR
    btfsc        in0,3
    call         p27_led_up
    btfss        in0,3
    call         p27_led_down

    movlw        B2_B3_reg ; R6
    movwf        FSR
    btfsc        in0,2
    call         p27_led_up
    btfss        in0,2
    call         p27_led_down

    movlw        B5_B6_reg ; R7
    movwf        FSR
    btfsc        in0,1
    call         p27_led_up
    btfss        in0,1
    call         p27_led_down

    movlw        B6_B7_reg ; R8
    movwf        FSR
    btfsc        in0,0
    call         p27_led_up
    btfss        in0,0
    call         p27_led_down

    movlw        B5_B7_reg ; R9
    movwf        FSR
    btfsc        in1,7
    call         p27_led_up
    btfss        in1,7
    call         p27_led_down

    movlw        B4_B6_reg ; R10
    movwf        FSR
    btfsc        in1,6
    call         p27_led_up
    btfss        in1,6
    call         p27_led_down

    movlw        B4_B5_reg ; R11
    movwf        FSR
    btfsc        in1,5
    call         p27_led_up
    btfss        in1,5
    call         p27_led_down

    movlw        B2_B6_reg ; R12
    movwf        FSR
    btfsc        in1,4
    call         p27_led_up
    btfss        in1,4
    call         p27_led_down

#ifndef MONO
    movlw        B7_B2_reg ; G1
    movwf        FSR
    btfsc        in1,3
    call         p27_led_up
    btfss        in1,3
    call         p27_led_down

    movlw        B7_B3_reg ; G2
    movwf        FSR
    btfsc        in1,2
    call         p27_led_up
    btfss        in1,2
    call         p27_led_down

    movlw        B5_B3_reg ; G3
    movwf        FSR
    btfsc        in1,1
    call         p27_led_up
    btfss        in1,1
    call         p27_led_down

    movlw        B4_B3_reg ; G4
    movwf        FSR
    btfsc        in1,0
     call         p27_led_up
    btfss        in1,0
    call         p27_led_down

    movlw        B4_B2_reg ; G5
    movwf        FSR
    btfsc        in2,7
    call         p27_led_up
    btfss        in2,7
    call         p27_led_down

    movlw        B3_B2_reg ; G6
    movwf        FSR
    btfsc        in2,6
    call         p27_led_up
    btfss        in2,6
    call         p27_led_down
    movlw        B6_B5_reg ; G7
    movwf        FSR
    btfsc        in2,5
    call         p27_led_up
    btfss        in2,5
    call         p27_led_down

    movlw        B7_B6_reg ; G8
    movwf        FSR
    btfsc        in2,4
    call         p27_led_up
    btfss        in2,4
    call         p27_led_down

    movlw        B7_B5_reg ; G9
    movwf        FSR
    btfsc        in2,3
    call         p27_led_up
    btfss        in2,3
    call         p27_led_down

    movlw        B6_B4_reg ; G10
    movwf        FSR
    btfsc        in2,2
    call         p27_led_up
    btfss        in2,2
    call         p27_led_down

    movlw        B5_B4_reg ; G11
    movwf        FSR
    btfsc        in2,1
    call         p27_led_up
    btfss        in2,1
    call         p27_led_down

    movlw        B6_B2_reg ; G12
    movwf        FSR
    btfsc        in2,0
    call         p27_led_up
    btfss        in2,0
    call         p27_led_down
#endif

;  B6_B3_reg
;  B5_B2_reg
;  B4_B7_reg
;   B3_B6_reg
;   B2_B5_reg
;  B7_B4_reg

    movf         speed,w
    PAGESEL      strobe_delay

    call         strobe_delay

    PAGESEL      t27_loop2
    decfsz       p27_loop,f
    goto         t27_loop2

;    bcf          STATUS,7               DDF this is now FSR0H

    PAGESEL      pattern_return
    goto         pattern_return


;**********************************************************************
p27_led_up
;**********************************************************************

    incf        INDF0,f
    btfsc       STATUS,Z
    comf        INDF0,f
    return

;**********************************************************************
p27_led_down
;**********************************************************************

    movf        INDF0,f
    btfss       STATUS,Z
    decf        INDF0,f
    return

