;**********************************************************************
;   Copyright (C) 2005,2006,2007,2008 Dwayne Forsyth
;                                 
;   This program is free software; you can redistribute it and/or
;   modify it under the terms of the GNU General Public License
;   as published by the Free Software Foundation; either version 2
;   of the License, or (at your option) any later version.
; 
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the
; 
;      Free Software Foundation, Inc.
;      51 Franklin Street, Fifth Floor
;      Boston, MA  02110-1301, USA.
;
;**********************************************************************

    start_pattern 3, 0x60
    DE 0xAA, 0xA0   ; Red
    DE 0x55, 0x50   ; Green
    DE 0xFF, 0xF8   ; All
    DE 0x00, 0x08   ; Blank/Center

    DE 0x80, 0x00   ; R1
    DE 0x20, 0x00   ; R2
    DE 0x08, 0x00   ; R3
    DE 0x02, 0x00   ; R4
    DE 0x00, 0x80   ; R5
    DE 0x00, 0x20   ; R6
    DE 0x00, 0x08   ; Center

    DE 0x40, 0x00   ; G1
    DE 0x10, 0x00   ; G2
    DE 0x04, 0x00   ; G3
    DE 0x01, 0x00   ; G4
    DE 0x00, 0x40   ; G5
    DE 0x00, 0x10   ; G6
    DE 0x00, 0x08   ; Center

    DE 0x00, 0x01   ; Blank
    end_pattern



;**********************************************************************
; table1 ; DF1 - retro
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x41, 0x00   ; 1
    dt 0x10, 0x40   ; 2
    dt 0x04, 0x10   ; 3
    end_pattern

;**********************************************************************
;table2  ; fade in/out: white, red, green, blue, yellow, cyan, violet
;**********************************************************************
  start_pattern 0x0a, 0x30
;            R           G           B
    dt  b'11111111',b'00011011',b'00000000',b'00000000' ; red -> yellow
    dt  b'11111110',b'01101111',b'00000000',b'00000000'
    dt  b'11111001',b'10111111',b'00000000',b'01000000'
    dt  b'11100100',b'11111111',b'00000000',b'10000000' ; yellow -> green
    dt  b'10010000',b'11111111',b'00000001',b'11000000'
    dt  b'01000000',b'11111111',b'00000110',b'11000000'
    dt  b'00000000',b'11111111',b'00011011',b'11000000' ; green -> cyan
    dt  b'00000000',b'11111110',b'01101111',b'11000000'
    dt  b'00000000',b'11111001',b'10111111',b'11000000'
    dt  b'00000000',b'11100100',b'11111111',b'10000000' ; cyan -> blue
    dt  b'00000001',b'10010000',b'11111111',b'10000000'
    dt  b'00000110',b'01000000',b'11111111',b'01000000'
    dt  b'00011011',b'00000000',b'11111111',b'00000000' ; blue -> violet
    dt  b'01101111',b'00000000',b'11111110',b'00000000'
    dt  b'10111111',b'00000000',b'11111001',b'00000000'
    dt  b'11111111',b'00000000',b'11100100',b'00000000' ; violet -> red
    dt  b'11111111',b'00000001',b'10010000',b'00000000'
    dt  b'11111111',b'00000110',b'01000000',b'00000000'
    end_pattern


;**********************************************************************
;table2 ; DF2 - xmas
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x66, 0x60   ; 1
    dt 0x99, 0x98   ; 2
    end_pattern

;**********************************************************************
;table3 ; DF3 - train
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x64, 0x00   ; 1
    dt 0x19, 0x00   ; 2
    dt 0x06, 0x40   ; 3
    dt 0x01, 0x90   ; 4
    dt 0x40, 0x60   ; 5
    dt 0x90, 0x10   ; 6
    end_pattern

;**********************************************************************
; fade around
;**********************************************************************
  start_pattern 0x0a, 0x30
;         1R  2R      3R  4R      5R  6R      C
    dt  b'11000000',b'00000000',b'00000000',b'00000000'
    dt  b'10000100',b'00000000',b'00000000',b'00000000'
    dt  b'01001000',b'00000000',b'00000000',b'00000000'
    dt  b'00001100',b'00000000',b'00000000',b'00000000'
    dt  b'00001000',b'01000000',b'00000000',b'00000000'
    dt  b'00000100',b'10000000',b'00000000',b'00000000'
    dt  b'00000000',b'11000000',b'00000000',b'00000000'
    dt  b'00000000',b'10000100',b'00000000',b'00000000'
    dt  b'00000000',b'01001000',b'00000000',b'00000000'
    dt  b'00000000',b'00001100',b'00000000',b'00000000'
    dt  b'00000000',b'00001000',b'01000000',b'00000000'
    dt  b'00000000',b'00000100',b'10000000',b'00000000'
    dt  b'00000000',b'00000000',b'11000000',b'00000000'
    dt  b'00000000',b'00000000',b'10001000',b'00000000'
    dt  b'00000000',b'00000000',b'01000100',b'00000000'
    dt  b'00000000',b'00000000',b'00001100',b'00000000'
    dt  b'01000000',b'00000000',b'00001000',b'00000000'
    dt  b'10000000',b'00000000',b'00000100',b'00000000'
    end_pattern

;**********************************************************************
; fade figuer 8th
;**********************************************************************
  start_pattern 0x0a, 0x20
;         1R  2R      3R  4R      5R  6R      C
    dt  b'00000000',b'00000000',b'00000000',b'11000000'
    dt  b'00000000',b'00000000',b'01000000',b'10000000'
    dt  b'00000000',b'00000000',b'10000000',b'01000000'
    dt  b'00000000',b'00000000',b'11000000',b'00000000'
    dt  b'00000000',b'00000100',b'10000000',b'00000000'
    dt  b'00000000',b'00001000',b'01000000',b'00000000'
    dt  b'00000000',b'00001100',b'00000000',b'00000000'
    dt  b'00000000',b'01001000',b'00000000',b'00000000'
    dt  b'00000000',b'10000100',b'00000000',b'00000000'
    dt  b'00000000',b'11000000',b'00000000',b'00000000'
    dt  b'00000000',b'10000000',b'00000000',b'01000000'
    dt  b'00000000',b'01000000',b'00000000',b'10000000'
    dt  b'00000000',b'00000000',b'00000000',b'11000000'
    dt  b'00000000',b'00000000',b'00000100',b'10000000'
    dt  b'00000000',b'00000000',b'00001000',b'01000000'
    dt  b'00000000',b'00000000',b'00001100',b'00000000'
    dt  b'01000000',b'00000000',b'00001000',b'00000000'
    dt  b'10000000',b'00000000',b'00000100',b'00000000'
    dt  b'11000000',b'00000000',b'00000000',b'00000000'
    dt  b'10000100',b'00000000',b'00000000',b'00000000'
    dt  b'01001000',b'00000000',b'00000000',b'00000000'
    dt  b'00001100',b'00000000',b'00000000',b'00000000'
    dt  b'00001000',b'00000000',b'00000000',b'01000000'
    dt  b'00000100',b'00000000',b'00000000',b'10000000'
    dt  b'00000000',b'00000000',b'00000000',b'11000000'
    dt  b'00000000',b'00000000',b'00010000',b'10000000'
    dt  b'00000000',b'00000000',b'00100000',b'01000000'
    dt  b'00000000',b'00000000',b'00110000',b'00000000'
    dt  b'00000000',b'00000001',b'00100000',b'00000000'
    dt  b'00000000',b'00000010',b'00010000',b'00000000'
    dt  b'00000000',b'00000011',b'00000000',b'00000000'
    dt  b'00000000',b'00010010',b'00000000',b'00000000'
    dt  b'00000000',b'00100001',b'00000000',b'00000000'
    dt  b'00000000',b'00110000',b'00000000',b'00000000'
    dt  b'00000000',b'00100000',b'00000000',b'01000000'
    dt  b'00000000',b'00010000',b'00000000',b'10000000'
    dt  b'00000000',b'00000000',b'00000000',b'11000000'
    dt  b'00000000',b'00000000',b'00000001',b'10000000'
    dt  b'00000000',b'00000000',b'00000010',b'01000000'
    dt  b'00000000',b'00000000',b'00000011',b'00000000'
    dt  b'00010000',b'00000000',b'00000010',b'00000000'
    dt  b'00100000',b'00000000',b'00000001',b'00000000'
    dt  b'00110000',b'00000000',b'00000000',b'00000000'
    dt  b'00100001',b'00000000',b'00000000',b'00000000'
    dt  b'00010010',b'00000000',b'00000000',b'00000000'
    dt  b'00000011',b'00000000',b'00000000',b'00000000'
    dt  b'00000010',b'00000000',b'00000000',b'01000000'
    dt  b'00000001',b'00000000',b'00000000',b'10000000'
    end_pattern

;**********************************************************************
; fade up/down
;**********************************************************************
  start_pattern 0x0a, 0x30
;         1R  2R      3R  4R      5R  6R      C
    dt  b'00000000',b'00000000',b'00000000',b'11000000'
    dt  b'01010101',b'01010101',b'01010101',b'10000000'
    dt  b'10101010',b'10101010',b'10101010',b'01000000'
    dt  b'11111111',b'11111111',b'11111111',b'00000000'
    dt  b'10101010',b'10101010',b'10101010',b'01000000'
    dt  b'01010101',b'01010101',b'01010101',b'10000000'
    end_pattern

;**********************************************************************
; fade up/down
;**********************************************************************
  start_pattern 0x0a, 0x30
;         1R  2R      3R  4R      5R  6R      C
    dt  b'00110011',b'00110011',b'00110011',b'00000000'
    dt  b'01100110',b'01100110',b'01100110',b'01000000'
    dt  b'10011001',b'10101010',b'10101010',b'10000000'
    dt  b'11001100',b'11001100',b'11001100',b'11000000'
    dt  b'10011001',b'10101010',b'10101010',b'10000000'
    dt  b'01100110',b'01100110',b'01100110',b'01000000'
    end_pattern


;**********************************************************************
;table4 ; DF4 - half
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x5A, 0x90   ; 1
    dt 0x6A, 0x50   ; 2
    dt 0xA9, 0x50   ; 3
    dt 0xA5, 0x60   ; 4
    dt 0x95, 0xA0   ; 5
    dt 0x56, 0xA0   ; 6
    end_pattern

;**********************************************************************
;table5 ; DF5 - passing
;**********************************************************************

    start_pattern 3, 0x10
    dt 0x42, 0x00   ; 1
    dt 0x18, 0x00   ; 2
    dt 0x24, 0x00   ; 3
    dt 0x81, 0x00   ; 4
    dt 0x00, 0x60   ; 5
    dt 0x00, 0x90   ; 6
    end_pattern

;**********************************************************************
; red chase fad up, green chase fad up
;**********************************************************************
  start_pattern 0x0a, 0x30
;            R           c           B
    dt  b'01000000',b'00000000',b'00000000',b'00000000' ; low Red
    dt  b'01000100',b'00000000',b'00000000',b'00000000' ; 
    dt  b'01000100',b'01000000',b'00000000',b'00000000' ; 
    dt  b'01000100',b'01000100',b'00000000',b'00000000' ; 
    dt  b'01000100',b'01000100',b'01000000',b'00000000' ; 
    dt  b'01000100',b'01000100',b'01000100',b'00000000' ; 
    dt  b'10000100',b'01000100',b'01000100',b'00000000' ; Med Red
    dt  b'10001000',b'01000100',b'01000100',b'00000000' ; 
    dt  b'10001000',b'10000100',b'01000100',b'00000000' ; 
    dt  b'10001000',b'10001000',b'01000100',b'00000000' ; 
    dt  b'10001000',b'10001000',b'10000100',b'00000000' ; 
    dt  b'10001000',b'10001000',b'10001000',b'00000000' ; 
    dt  b'11001000',b'10001000',b'10001000',b'00000000' ; Hi Red
    dt  b'11001100',b'10001000',b'10001000',b'00000000' ; 
    dt  b'11001100',b'11001000',b'10001000',b'00000000' ; 
    dt  b'11001100',b'11001100',b'10001000',b'00000000' ; 
    dt  b'11001100',b'11001100',b'11001000',b'00000000' ; 
    dt  b'11001100',b'11001100',b'11001100',b'00000000' ; 
    dt  b'11011100',b'11001100',b'11001100',b'00000000' ; Low Green 
    dt  b'11011101',b'11001100',b'11001100',b'00000000' ; 
    dt  b'11011101',b'11011100',b'11001100',b'00000000' ; 
    dt  b'11011101',b'11011101',b'11001100',b'00000000' ; 
    dt  b'11011101',b'11011101',b'11011100',b'00000000' ; 
    dt  b'11011101',b'11011101',b'11011101',b'00000000' ; 
    dt  b'11101101',b'11011101',b'11011101',b'00000000' ; Med Green
    dt  b'11101110',b'11011101',b'11011101',b'00000000' ; 
    dt  b'11101110',b'11101101',b'11011101',b'00000000' ; 
    dt  b'11101110',b'11101110',b'11011101',b'00000000' ; 
    dt  b'11101110',b'11101110',b'11101101',b'00000000' ; 
    dt  b'11101110',b'11101110',b'11101110',b'00000000' ; 
    dt  b'11111110',b'11101110',b'11101110',b'00000000' ; High Green
    dt  b'11111111',b'11101110',b'11101110',b'00000000' ; 
    dt  b'11111111',b'11111110',b'11101110',b'00000000' ; 
    dt  b'11111111',b'11111111',b'11111110',b'00000000' ; 
    dt  b'11111111',b'11111111',b'11111110',b'00000000' ; 
    dt  b'11111111',b'11111111',b'11111111',b'00000000' ; 

    dt  b'11111111',b'11111111',b'11111111',b'01000000' ; 
    dt  b'11111111',b'11111111',b'11111111',b'10000000' ; 
    dt  b'11111111',b'11111111',b'11111111',b'11000000' ; 
    end_pattern

;**********************************************************************
;table6 ; DF6 - rpm
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x40, 0x00   ; 1
    dt 0x50, 0x00   ; 2
    dt 0x54, 0x00   ; 3
    dt 0x57, 0x00   ; 4
    dt 0x57, 0xC0   ; 5
    dt 0x57, 0xE0   ; 6
    dt 0x57, 0xC0   ; 7
    dt 0x57, 0x00   ; 8
    dt 0x50, 0x00   ; 9
    dt 0x40, 0x00   ; 10
    dt 0x00, 0x04   ; 11/12/13/14
    end_pattern

;**********************************************************************
;table7 ; DF7 - right
;**********************************************************************

    start_pattern 3, 0x30
    dt 0x00, 0x00   ; 1
    dt 0x00, 0x50   ; 2
    dt 0x41, 0x00   ; 3
    dt 0x14, 0x00   ; 4
    dt 0x00, 0x00   ; 5
    dt 0x00, 0xA0   ; 6
    dt 0x82, 0x00   ; 7
    dt 0x28, 0x00   ; 8
    end_pattern

;**********************************************************************
;table8 ; DF8 - down
;**********************************************************************

    start_pattern 3, 0x10
    dt 0x40, 0x00   ; 1
    dt 0xD0, 0x10   ; 2
    dt 0xB4, 0x70   ; 3
    dt 0x2D, 0xE8   ; 4
    dt 0x0B, 0x80   ; 5
    dt 0x02, 0x00   ; 6
    dt 0x00, 0x02   ; 7/8/9
    end_pattern

;**********************************************************************
; EEPROM    ;test pattern for 4RGB with 2 bits of luminance per LED
;**********************************************************************
    org 0x2100      ; data EEPROM location

demo_store
    dt 0x00
