;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------
    LedOut  Cr_reg,Ax_dir,1    ;LED Dr     A0-A1 ; 2B 
    LedOut  Ag_reg,Ax_dir,2    ;LED Dg     A0-A2 ; 3B
    LedOut  Ab_reg,Ax_dir,4    ;LED Db     A0-A4 ; 5B


    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA

    BANKSEL 0
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
    LedOut  Dr_reg,Ax_dir,0    ;LED Dr     A1-A0 ; 2R
    LedOut  Ar_reg,Ax_dir,2    ;LED Dg     A1-A2 ; 1B
    LedOut  Cg_reg,Ax_dir,4    ;LED Db     A1-A4 ; 4B

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA
 
    BANKSEL 0
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
    LedOut  Bg_reg,Ax_dir,0    ;LED Dr     A2-A0 ; 3R
    LedOut  Br_reg,Ax_dir,1    ;LED Dg     A2-A1 ; 1R
    LedOut  Cb_reg,Ax_dir,4    ;LED Db     A2-A4 ; 6B

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA


    BANKSEL 0
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
#ifdef RGB2_DOGTAG
;   enable pullups on portA
    BANKSEL     OPTION_REG
    bcf         OPTION_REG,NOT_WPUEN

;   input on A3
    BANKSEL      WPUA
    clrf         WPUA       ; disable all pullups
    bsf          WPUA,3     ; enable pullup A3
#endif
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------
    LedOut  Bb_reg,Ax_dir,0    ;LED Dr     A4-A0 ; 5R
    LedOut  Db_reg,Ax_dir,2    ;LED Db     A4-A2 ; 6R
    LedOut  Dg_reg,Ax_dir,1    ;LED Dg     A4-A1 ; 4R

    movf    Ax_dir,w      ;set portA direction
    BANKSEL TRISA
    movwf   TRISA


    BANKSEL PORTA
    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    return
