;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------

    LedOut  Ab_reg,Ax_dir,1    ;LED Dr     A0-A1  
    LedOut  Cr_reg,Ax_dir,2    ;LED Dg     A0-A2
    LedOut  Db_reg,Ax_dir,4    ;LED Db     A0-A5

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    setbank0

    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    return

;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------
    LedOut  Bb_reg,Ax_dir,0    ;LED Dr     A1-A0
    LedOut  Ag_reg,Ax_dir,2    ;LED Dg     A1-A2
    LedOut  Ar_reg,Ax_dir,4    ;LED Db     A1-A5

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    setbank0
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------
    LedOut  Dr_reg,Ax_dir,0    ;LED Dr     A2-A0
    LedOut  Bg_reg,Ax_dir,1    ;LED Dg     A2-A1
    LedOut  Dg_reg,Ax_dir,4    ;LED Db     A2-A5

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    setbank0

    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------
    LedOut  Cb_reg,Ax_dir,0    ;LED Dr     A5-A0
    LedOut  Cg_reg,Ax_dir,2    ;LED Db     A5-A2
    LedOut  Br_reg,Ax_dir,1    ;LED Dg     A5-A1

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    setbank0


    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    return
