
;--------------------------------------------------------------------------------------
display_cycle0
;--------------------------------------------------------------------------------------

;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00000000'
    MOVWF PORTC

display_cycle0l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G00
    movwf  FSR0L
    movlw  HIGH Led_G00
    movwf  FSR0H


    call   common_strobe_B

    movlw  LOW Led_G80
    movwf  FSR0L
    movlw  HIGH Led_G80
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle0l

    return


;--------------------------------------------------------------------------------------
display_cycle1
;--------------------------------------------------------------------------------------

;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00000001'
    MOVWF PORTC  

display_cycle1l
;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R00
    movwf  FSR0L
    movlw  HIGH Led_R00
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_R80
    movwf  FSR0L
    movlw  HIGH Led_R80
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle1l

    return

;--------------------------------------------------------------------------------------
display_cycle2
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00100000'
    MOVWF PORTC  

display_cycle2l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G10
    movwf  FSR0L
    movlw  HIGH Led_G10
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_G90
    movwf  FSR0L
    movlw  HIGH Led_G90
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle2l

    return

;--------------------------------------------------------------------------------------
display_cycle3
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'00100001'
    MOVWF PORTC  

display_cycle3l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R10
    movwf  FSR0L
    movlw  HIGH Led_R10
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_R90
    movwf  FSR0L
    movlw  HIGH Led_R90
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle3l

    return

;--------------------------------------------------------------------------------------
display_cycle4
;-------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01000000'
    MOVWF PORTC
  
display_cycle4l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G20
    movwf  FSR0L
    movlw  HIGH Led_G20
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_GA0
    movwf  FSR0L
    movlw  HIGH Led_GA0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle4l

    return

;--------------------------------------------------------------------------------------
display_cycle5
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01000001'
    MOVWF PORTC  

display_cycle5l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R20
    movwf  FSR0L
    movlw  HIGH Led_R20
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RA0
    movwf  FSR0L
    movlw  HIGH Led_RA0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle5l

    return

;--------------------------------------------------------------------------------------
display_cycle6
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01100000'
    MOVWF PORTC  

display_cycle6l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G30
    movwf  FSR0L
    movlw  HIGH Led_G30
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_GB0
    movwf  FSR0L
    movlw  HIGH Led_GB0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle6l

    return

;--------------------------------------------------------------------------------------
display_cycle7
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'01100001'
    MOVWF PORTC  

display_cycle7l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R30
    movwf  FSR0L
    movlw  HIGH Led_R30
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RB0
    movwf  FSR0L
    movlw  HIGH Led_RB0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle7l

    return

;--------------------------------------------------------------------------------------
display_cycle8
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10000000'
    MOVWF PORTC  

display_cycle8l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G40
    movwf  FSR0L
    movlw  HIGH Led_G40
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_GC0
    movwf  FSR0L
    movlw  HIGH Led_GC0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle8l

    return

;--------------------------------------------------------------------------------------
display_cycle9
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10000001'
    MOVWF PORTC  

display_cycle9l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R40
    movwf  FSR0L
    movlw  HIGH Led_R40
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RC0
    movwf  FSR0L
    movlw  HIGH Led_RC0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle9l

    return

;--------------------------------------------------------------------------------------
display_cycle10
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10100000'
    MOVWF PORTC  

display_cycle10l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G50
    movwf  FSR0L
    movlw  HIGH Led_G50
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_GD0
    movwf  FSR0L
    movlw  HIGH Led_GD0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle10l

    return

;--------------------------------------------------------------------------------------
display_cycle11
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'10100001'
    MOVWF PORTC  

display_cycle11l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R50
    movwf  FSR0L
    movlw  HIGH Led_R50
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RD0
    movwf  FSR0L
    movlw  HIGH Led_RD0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle11l

    return

;--------------------------------------------------------------------------------------
display_cycle12
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11000000'
    MOVWF PORTC  

display_cycle12l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G60
    movwf  FSR0L
    movlw  HIGH Led_G60
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_GE0
    movwf  FSR0L
    movlw  HIGH Led_GE0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle12l

    return

;--------------------------------------------------------------------------------------
display_cycle13
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11000001'
    MOVWF PORTC  

display_cycle13l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R60
    movwf  FSR0L
    movlw  HIGH Led_R60
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RE0
    movwf  FSR0L
    movlw  HIGH Led_RE0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle13l

    return

;--------------------------------------------------------------------------------------
display_cycle14
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11100000'
    MOVWF PORTC  

display_cycle14l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_G70
    movwf  FSR0L
    movlw  HIGH Led_G70
    movwf  FSR0H


    call   common_strobe_B

    movlw  LOW Led_GF0
    movwf  FSR0L
    movlw  HIGH Led_GF0
    movwf  FSR0H


    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle14l

    return

;--------------------------------------------------------------------------------------
display_cycle15
;--------------------------------------------------------------------------------------


;    C7,C6,C5,C0 = 16 bit column select
    MOVLW b'11100001'
    MOVWF PORTC  

display_cycle15l

;    B0-7, A0-7 is row data
    
    movlw  LOW Led_R70
    movwf  FSR0L
    movlw  HIGH Led_R70
    movwf  FSR0H

    call   common_strobe_B

    movlw  LOW Led_RF0
    movwf  FSR0L
    movlw  HIGH Led_RF0
    movwf  FSR0H

    call   common_strobe_A

    decfsz  fcount,f
    goto    display_cycle15l

    return


;--------------------------------------------------------------------------------------
common_strobe_A
;--------------------------------------------------------------------------------------

    clrf    PORTA


    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   0

    MOVIW INDF0++    ; Using for the INDF0++ (16bit ++), don't care about loading "w"

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   1

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   2

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   3

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   4

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   5

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   6

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTA,   7

    return

;--------------------------------------------------------------------------------------
common_strobe_B
;--------------------------------------------------------------------------------------

    clrf    PORTB

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   0

    MOVIW INDF0++    ; Using for the INDF0++ (16bit ++), don't care about loading "w"

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   1

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   2

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   3

    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   4
 
    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   5


    MOVIW INDF0++

    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   6

    MOVIW INDF0++


    movfw   TMR0
    subwf   INDF0,w
    btfsc   STATUS,C
    bsf     PORTB,   7

    return
